[Bug 1885403] Re: posttls-finger fails to connect to private/tlsmgr

2020-06-27 Thread Scott Kitterman
No.  We've had postfix in a chroot since approximately forever.  It
might be something in default path resolution has changed?  Since I no
longer us Ubuntu, I really don't know.

-- 
You received this bug notification because you are a member of Ubuntu
Bugs, which is subscribed to Ubuntu.
https://bugs.launchpad.net/bugs/1885403

Title:
  posttls-finger fails to connect to private/tlsmgr

To manage notifications about this bug go to:
https://bugs.launchpad.net/ubuntu/+source/postfix/+bug/1885403/+subscriptions

-- 
ubuntu-bugs mailing list
ubuntu-bugs@lists.ubuntu.com
https://lists.ubuntu.com/mailman/listinfo/ubuntu-bugs

[Bug 1885403] Re: posttls-finger fails to connect to private/tlsmgr

2020-06-27 Thread Scott Kitterman
We (Debian and derivatives such as Ubuntu) have postfix in a chroot by
default.  This is a side effect of that configuration.

-- 
You received this bug notification because you are a member of Ubuntu
Bugs, which is subscribed to Ubuntu.
https://bugs.launchpad.net/bugs/1885403

Title:
  posttls-finger fails to connect to private/tlsmgr

To manage notifications about this bug go to:
https://bugs.launchpad.net/ubuntu/+source/postfix/+bug/1885403/+subscriptions

-- 
ubuntu-bugs mailing list
ubuntu-bugs@lists.ubuntu.com
https://lists.ubuntu.com/mailman/listinfo/ubuntu-bugs

Re: [Bug 1881196] Re: postfix tls deploy-server-cert fails with "can't shift that many"

2020-06-18 Thread Scott Kitterman
On Thursday, June 18, 2020 9:46:34 AM EDT you wrote:
> To do that a process needs to be defined for future Postfix SRUs
> containing micro-release updates. I see we already have some good DEP-8
> tests, so we'd need to write a wiki page describing this process and ask
> the SRU team to acknowledge it. I am offering myself to drive this if
> that is the case.

The Ubuntu Technical Board already approved this.  See:

https://lists.ubuntu.com/archives/ubuntu-devel-announce/2011-October/
000902.html
https://lists.ubuntu.com/archives/technical-board/2012-May/001266.html

Scott K

-- 
You received this bug notification because you are a member of Ubuntu
Bugs, which is subscribed to Ubuntu.
https://bugs.launchpad.net/bugs/1881196

Title:
  postfix tls deploy-server-cert fails with "can't shift that many"

To manage notifications about this bug go to:
https://bugs.launchpad.net/ubuntu/+source/postfix/+bug/1881196/+subscriptions

-- 
ubuntu-bugs mailing list
ubuntu-bugs@lists.ubuntu.com
https://lists.ubuntu.com/mailman/listinfo/ubuntu-bugs

Re: [Bug 1881196] Re: postfix tls deploy-server-cert fails with "can't shift that many"

2020-06-17 Thread Scott Kitterman
On Wednesday, June 17, 2020 5:51:07 PM EDT Lucas Kanashiro wrote:
> I see this fix in version 3.4.13. Hopefully this postfix SRU [1] will be
> accepted and we will have version 3.4.11 in Focal, so we have two patch
> level releases to consider if we want to update to 3.4.13. Checking the
> changelog between 3.4.11 and 3.4.13 there are 6 "Bugfix", 3 "Noise
> suppression", and 1 "Bitrot". After a discussion with my team they told
> me we would need to define self-contained test cases for each of those
> bug fixes and analyze the impact of the non "Bugfix" changes to convince
> the SRU team to accept this new micro release.

This did not used to be the case for micro-releases where the TB approved the 
micro-release exception (as is the case here).  Back when I was doing this for 
Ubuntu it was enough that the postfix passed it's test suite and it had been 
smoke tested on a real system.

We do these updates in Debian routinely without anything more than that and 
have never had a problem.  I'd find it surprising that Ubuntu was being more 
restrictive about post-release updates than Debian.

Scott K

-- 
You received this bug notification because you are a member of Ubuntu
Bugs, which is subscribed to Ubuntu.
https://bugs.launchpad.net/bugs/1881196

Title:
  postfix tls deploy-server-cert fails with "can't shift that many"

To manage notifications about this bug go to:
https://bugs.launchpad.net/ubuntu/+source/postfix/+bug/1881196/+subscriptions

-- 
ubuntu-bugs mailing list
ubuntu-bugs@lists.ubuntu.com
https://lists.ubuntu.com/mailman/listinfo/ubuntu-bugs

[Bug 1883331] Re: DEBIAN_FRONTEND=noninteractive results in failed installation

2020-06-13 Thread Scott Kitterman
installed postfix package post-installation script subprocess returned
error exit status 75

This exist status indicates the system does not have a proper hostname
set.  It is a local configuration issue and not a package bug.

** Changed in: postfix (Ubuntu)
   Status: New => Invalid

-- 
You received this bug notification because you are a member of Ubuntu
Bugs, which is subscribed to Ubuntu.
https://bugs.launchpad.net/bugs/1883331

Title:
  DEBIAN_FRONTEND=noninteractive results in failed installation

To manage notifications about this bug go to:
https://bugs.launchpad.net/ubuntu/+source/postfix/+bug/1883331/+subscriptions

-- 
ubuntu-bugs mailing list
ubuntu-bugs@lists.ubuntu.com
https://lists.ubuntu.com/mailman/listinfo/ubuntu-bugs

[Bug 1657024] Re: mydomain gets set to "localdomain"

2020-06-11 Thread Scott Kitterman
I looked into the history of this.  We used to have a patch in Debian to
use gethostbyname to address this issue.  It was dropped because it
caused worse problems.  Here's the relevant code snippet from the most
recent postfix release:

/*
 * If the local machine name is not in FQDN form, try to append the
 * contents of $mydomain. Use a default domain as a final workaround.
 * 
 * DO NOT CALL GETHOSTBYNAME OR GETNAMEINFO HERE - IT MAKES EVERY POSTFIX
 * PROGRAM HANG WHEN DNS SERVICE IS UNAVAILABLE. IF YOU DON'T LIKE THE
 * DEFAULT, THEN EDIT MAIN.CF.
 */
name = get_hostname();
/* DO NOT CALL GETHOSTBYNAME OR GETNAMEINFO HERE - EDIT MAIN.CF */
if ((dot = strchr(name, '.')) == 0) {
/* DO NOT CALL GETHOSTBYNAME OR GETNAMEINFO HERE - EDIT MAIN.CF */
if ((domain = mail_conf_lookup_eval(VAR_MYDOMAIN)) == 0)
domain = DEF_MYDOMAIN;
/* DO NOT CALL GETHOSTBYNAME OR GETNAMEINFO HERE - EDIT MAIN.CF */
name = concatenate(name, ".", domain, (char *) 0);
}
/* DO NOT CALL GETHOSTBYNAME OR GETNAMEINFO HERE - EDIT MAIN.CF */
return (name);

So the way to resolve this issue is to edit main.cf as people have
indicated they are doing.  "Fixing" this in postfix is not something we
should do.

** Changed in: postfix (Ubuntu)
   Status: Confirmed => Won't Fix

-- 
You received this bug notification because you are a member of Ubuntu
Bugs, which is subscribed to Ubuntu.
https://bugs.launchpad.net/bugs/1657024

Title:
  mydomain gets set to "localdomain"

To manage notifications about this bug go to:
https://bugs.launchpad.net/ubuntu/+source/postfix/+bug/1657024/+subscriptions

-- 
ubuntu-bugs mailing list
ubuntu-bugs@lists.ubuntu.com
https://lists.ubuntu.com/mailman/listinfo/ubuntu-bugs

Re: [Bug 1881196] Re: postfix tls deploy-server-cert fails with "can't shift that many"

2020-06-10 Thread Scott Kitterman
https://github.com/vdukhovni/postfix/commit/
119d6abed969b1b30c62722ae31c854b5682beae#diff-1843f98f5710e97bd063d5807334442a

There will be a new 3.4 release in a few days, I'd just update your SRU to 
encompass that when it comes out.  It's all bug fixes, reported by users or 
not.

-- 
You received this bug notification because you are a member of Ubuntu
Bugs, which is subscribed to Ubuntu.
https://bugs.launchpad.net/bugs/1881196

Title:
  postfix tls deploy-server-cert fails with "can't shift that many"

To manage notifications about this bug go to:
https://bugs.launchpad.net/ubuntu/+source/postfix/+bug/1881196/+subscriptions

-- 
ubuntu-bugs mailing list
ubuntu-bugs@lists.ubuntu.com
https://lists.ubuntu.com/mailman/listinfo/ubuntu-bugs

Re: [Bug 1868955] Re: after upgrade to 20.04: posttls cannot connect to private/tlsmgr

2020-06-09 Thread Scott Kitterman
In that case, someone with the new libc and postfix 3.4.11/3.5.2 or later 
should write to the postfix-users list and ask for help.  My recollection is 
that the upstream developers did not have access to a system with the new libc 
and were dependent on third party testing, so something may have been missed.

-- 
You received this bug notification because you are a member of Ubuntu
Bugs, which is subscribed to Ubuntu.
https://bugs.launchpad.net/bugs/1868955

Title:
  after upgrade to 20.04: posttls cannot connect to private/tlsmgr

To manage notifications about this bug go to:
https://bugs.launchpad.net/ubuntu/+source/postfix/+bug/1868955/+subscriptions

-- 
ubuntu-bugs mailing list
ubuntu-bugs@lists.ubuntu.com
https://lists.ubuntu.com/mailman/listinfo/ubuntu-bugs

Re: [Bug 1868955] Re: after upgrade to 20.04: posttls cannot connect to private/tlsmgr

2020-06-08 Thread Scott Kitterman
On Monday, June 8, 2020 4:59:30 PM EDT you wrote:
>  postfix (3.5.2-1+b1) sid; urgency=low, binary-only=yes
>  .
>* Binary-only non-maintainer upload for amd64; no source changes.
>* Rebuild against libicu67
>  .
>   -- all / amd64 / i386 Build Daemon (x86-conova-01)
>   Wed, 03 Jun 2020 20:54:57
> +
> 
> Do we need this in Groovy?

No.  It's unrelated.  Ubuntu does source uploads when rebuilds are needed in 
any case.

-- 
You received this bug notification because you are a member of Ubuntu
Bugs, which is subscribed to Ubuntu.
https://bugs.launchpad.net/bugs/1868955

Title:
  after upgrade to 20.04: posttls cannot connect to private/tlsmgr

To manage notifications about this bug go to:
https://bugs.launchpad.net/ubuntu/+source/postfix/+bug/1868955/+subscriptions

-- 
ubuntu-bugs mailing list
ubuntu-bugs@lists.ubuntu.com
https://lists.ubuntu.com/mailman/listinfo/ubuntu-bugs

[Bug 1868955] Re: after upgrade to 20.04: posttls cannot connect to private/tlsmgr

2020-06-08 Thread Scott Kitterman
That change is included in postfix 3.4.11 which is, of course, just
after the one that's in 20.04.  "Someone" (i.e. not me) should look into
an SRU to update postfix.  It has an existing microversion release
authorization from the Tech Board, so it shouldn't be too hard, it just
takes someone involved in Ubuntu development to turn the crank on the
process.

-- 
You received this bug notification because you are a member of Ubuntu
Bugs, which is subscribed to Ubuntu.
https://bugs.launchpad.net/bugs/1868955

Title:
  after upgrade to 20.04: posttls cannot connect to private/tlsmgr

To manage notifications about this bug go to:
https://bugs.launchpad.net/ubuntu/+source/postfix/+bug/1868955/+subscriptions

-- 
ubuntu-bugs mailing list
ubuntu-bugs@lists.ubuntu.com
https://lists.ubuntu.com/mailman/listinfo/ubuntu-bugs

[Bug 1868955] Re: after upgrade to 20.04: posttls cannot connect to private/tlsmgr

2020-06-05 Thread Scott Kitterman
Re-assigning to glibc then.  I think that's a good demonstration this
isn't a postfix issue.

** Package changed: postfix (Ubuntu) => glibc (Ubuntu)

-- 
You received this bug notification because you are a member of Ubuntu
Bugs, which is subscribed to Ubuntu.
https://bugs.launchpad.net/bugs/1868955

Title:
  after upgrade to 20.04: posttls cannot connect to private/tlsmgr

To manage notifications about this bug go to:
https://bugs.launchpad.net/ubuntu/+source/glibc/+bug/1868955/+subscriptions

-- 
ubuntu-bugs mailing list
ubuntu-bugs@lists.ubuntu.com
https://lists.ubuntu.com/mailman/listinfo/ubuntu-bugs

[Bug 1881196] Re: postfix tls deploy-server-cert fails with "can't shift that many"

2020-05-29 Thread Scott Kitterman
Postfix doesn't have a bug tracker.  Their policy is to fix bugs when
they are identified.  Emailing postfix-users is the correct path
forward.

-- 
You received this bug notification because you are a member of Ubuntu
Bugs, which is subscribed to Ubuntu.
https://bugs.launchpad.net/bugs/1881196

Title:
  postfix tls deploy-server-cert fails with "can't shift that many"

To manage notifications about this bug go to:
https://bugs.launchpad.net/ubuntu/+source/postfix/+bug/1881196/+subscriptions

-- 
ubuntu-bugs mailing list
ubuntu-bugs@lists.ubuntu.com
https://lists.ubuntu.com/mailman/listinfo/ubuntu-bugs

Re: [Bug 1880970] Re: Postfix refuses to start because file postfix-files is missing

2020-05-27 Thread Scott Kitterman
That's almost certainly not the case.

-- 
You received this bug notification because you are a member of Ubuntu
Bugs, which is subscribed to Ubuntu.
https://bugs.launchpad.net/bugs/1880970

Title:
  Postfix refuses to start because file postfix-files is missing

To manage notifications about this bug go to:
https://bugs.launchpad.net/ubuntu/+source/postfix/+bug/1880970/+subscriptions

-- 
ubuntu-bugs mailing list
ubuntu-bugs@lists.ubuntu.com
https://lists.ubuntu.com/mailman/listinfo/ubuntu-bugs

[Bug 1880970] Re: Postfix refuses to start because file postfix-files is missing

2020-05-27 Thread Scott Kitterman
The package ships the file, so it's not a postfix bug.

https://packages.ubuntu.com/focal/amd64/postfix/filelist

** Changed in: postfix (Ubuntu)
   Status: New => Invalid

-- 
You received this bug notification because you are a member of Ubuntu
Bugs, which is subscribed to Ubuntu.
https://bugs.launchpad.net/bugs/1880970

Title:
  Postfix refuses to start because file postfix-files is missing

To manage notifications about this bug go to:
https://bugs.launchpad.net/ubuntu/+source/postfix/+bug/1880970/+subscriptions

-- 
ubuntu-bugs mailing list
ubuntu-bugs@lists.ubuntu.com
https://lists.ubuntu.com/mailman/listinfo/ubuntu-bugs

[Bug 1556681] Re: python-pip requires python-setuptools but not drawn in as a dependancy

2020-05-22 Thread Scott Kitterman
Fixed in focal and later up to the point where the package was removed.

** Changed in: python-pip (Ubuntu)
   Status: New => Fix Released

-- 
You received this bug notification because you are a member of Ubuntu
Bugs, which is subscribed to Ubuntu.
https://bugs.launchpad.net/bugs/1556681

Title:
  python-pip requires python-setuptools but not drawn in as a dependancy

To manage notifications about this bug go to:
https://bugs.launchpad.net/ubuntu/+source/python-pip/+bug/1556681/+subscriptions

-- 
ubuntu-bugs mailing list
ubuntu-bugs@lists.ubuntu.com
https://lists.ubuntu.com/mailman/listinfo/ubuntu-bugs

[Bug 1676675] Re: python3-pip package missing dependency for python3-pyparsing

2020-05-22 Thread Scott Kitterman
Fixed in bionic and later.

** Changed in: python-pip (Ubuntu)
   Status: New => Fix Released

-- 
You received this bug notification because you are a member of Ubuntu
Bugs, which is subscribed to Ubuntu.
https://bugs.launchpad.net/bugs/1676675

Title:
  python3-pip package missing dependency for python3-pyparsing

To manage notifications about this bug go to:
https://bugs.launchpad.net/ubuntu/+source/python-pip/+bug/1676675/+subscriptions

-- 
ubuntu-bugs mailing list
ubuntu-bugs@lists.ubuntu.com
https://lists.ubuntu.com/mailman/listinfo/ubuntu-bugs

[Bug 1773794] Re: python3-pip now requires python3-distutils

2020-05-22 Thread Scott Kitterman
Fixed in focal and later.

** Changed in: python-pip (Ubuntu)
   Status: New => Fix Released

-- 
You received this bug notification because you are a member of Ubuntu
Bugs, which is subscribed to Ubuntu.
https://bugs.launchpad.net/bugs/1773794

Title:
  python3-pip now requires python3-distutils

To manage notifications about this bug go to:
https://bugs.launchpad.net/ubuntu/+source/python-pip/+bug/1773794/+subscriptions

-- 
ubuntu-bugs mailing list
ubuntu-bugs@lists.ubuntu.com
https://lists.ubuntu.com/mailman/listinfo/ubuntu-bugs

[Bug 1635463] Re: pip freeze includes "pkg-resources==0.0.0"

2020-05-22 Thread Scott Kitterman
Fixed in Focal/Groove.

** Changed in: python-pip (Ubuntu)
   Status: Confirmed => Fix Released

** Changed in: hundredpapercuts
   Status: Confirmed => Fix Released

-- 
You received this bug notification because you are a member of Ubuntu
Bugs, which is subscribed to Ubuntu.
https://bugs.launchpad.net/bugs/1635463

Title:
  pip freeze includes "pkg-resources==0.0.0"

To manage notifications about this bug go to:
https://bugs.launchpad.net/hundredpapercuts/+bug/1635463/+subscriptions

-- 
ubuntu-bugs mailing list
ubuntu-bugs@lists.ubuntu.com
https://lists.ubuntu.com/mailman/listinfo/ubuntu-bugs

[Bug 1860270] Re: python-bleach: autopkgtest regression in -release

2020-05-13 Thread Scott Kitterman
This was fixed by reverting the breaking change in python3 3.7 and 3.8.

** Changed in: python-bleach (Ubuntu)
   Status: New => Invalid

-- 
You received this bug notification because you are a member of Ubuntu
Bugs, which is subscribed to Ubuntu.
https://bugs.launchpad.net/bugs/1860270

Title:
  python-bleach: autopkgtest regression in -release

To manage notifications about this bug go to:
https://bugs.launchpad.net/ubuntu/+source/python-bleach/+bug/1860270/+subscriptions

-- 
ubuntu-bugs mailing list
ubuntu-bugs@lists.ubuntu.com
https://lists.ubuntu.com/mailman/listinfo/ubuntu-bugs

[Bug 1444968] Re: Postfix init.d scripts malfunction in an unprivilleged Docker container

2020-05-05 Thread Scott Kitterman
This was fixed in 3.4.7-2.

** Changed in: postfix (Ubuntu)
   Status: New => Fix Released

-- 
You received this bug notification because you are a member of Ubuntu
Bugs, which is subscribed to Ubuntu.
https://bugs.launchpad.net/bugs/1444968

Title:
  Postfix init.d scripts malfunction in an unprivilleged Docker
  container

To manage notifications about this bug go to:
https://bugs.launchpad.net/ubuntu/+source/postfix/+bug/1444968/+subscriptions

-- 
ubuntu-bugs mailing list
ubuntu-bugs@lists.ubuntu.com
https://lists.ubuntu.com/mailman/listinfo/ubuntu-bugs

[Bug 1548594] Re: Convert test suite to python 3.0

2020-05-05 Thread Scott Kitterman
This was fixed in 3.4.7-2.

** Changed in: postfix (Ubuntu)
   Status: Confirmed => Fix Released

-- 
You received this bug notification because you are a member of Ubuntu
Bugs, which is subscribed to Ubuntu.
https://bugs.launchpad.net/bugs/1548594

Title:
  Convert test suite to python 3.0

To manage notifications about this bug go to:
https://bugs.launchpad.net/ubuntu/+source/postfix/+bug/1548594/+subscriptions

-- 
ubuntu-bugs mailing list
ubuntu-bugs@lists.ubuntu.com
https://lists.ubuntu.com/mailman/listinfo/ubuntu-bugs

[Bug 1684037] Re: Wrong systemd dependencies prevent postfix from starting

2020-05-05 Thread Scott Kitterman
This was fixed in 3.3.2-1.

** Changed in: postfix (Ubuntu)
   Status: Triaged => Fix Released

-- 
You received this bug notification because you are a member of Ubuntu
Bugs, which is subscribed to Ubuntu.
https://bugs.launchpad.net/bugs/1684037

Title:
  Wrong systemd dependencies prevent postfix from starting

To manage notifications about this bug go to:
https://bugs.launchpad.net/ubuntu/+source/postfix/+bug/1684037/+subscriptions

-- 
ubuntu-bugs mailing list
ubuntu-bugs@lists.ubuntu.com
https://lists.ubuntu.com/mailman/listinfo/ubuntu-bugs

[Bug 1460203] Re: Drop set_user_default.patch

2020-05-05 Thread Scott Kitterman
In any case, this bug was about dropping deltas from Debian, not
upstream and Debian/Ubuntu handle this the same now.

** Changed in: python-pip (Ubuntu)
   Status: New => Fix Released

** Changed in: python-pip (Ubuntu)
Milestone: ubuntu-15.10 => None

-- 
You received this bug notification because you are a member of Ubuntu
Bugs, which is subscribed to Ubuntu.
https://bugs.launchpad.net/bugs/1460203

Title:
  Drop set_user_default.patch

To manage notifications about this bug go to:
https://bugs.launchpad.net/ubuntu/+source/python-pip/+bug/1460203/+subscriptions

-- 
ubuntu-bugs mailing list
ubuntu-bugs@lists.ubuntu.com
https://lists.ubuntu.com/mailman/listinfo/ubuntu-bugs

[Bug 1873369] Re: Python2 virtualenv installs broken pip command

2020-05-05 Thread Scott Kitterman
It's fixed in python-virtualenv 20.0.20+ds-1 and python-pip 20.1-1.

-- 
You received this bug notification because you are a member of Ubuntu
Bugs, which is subscribed to Ubuntu.
https://bugs.launchpad.net/bugs/1873369

Title:
  Python2 virtualenv installs broken pip command

To manage notifications about this bug go to:
https://bugs.launchpad.net/ubuntu/+source/python-virtualenv/+bug/1873369/+subscriptions

-- 
ubuntu-bugs mailing list
ubuntu-bugs@lists.ubuntu.com
https://lists.ubuntu.com/mailman/listinfo/ubuntu-bugs

[Bug 1586381] Re: Pip states report "AttributeError: 'Requirement' object has no attribute 'project_name'" since python-pip (8.1.1-2ubuntu0.1)

2020-05-05 Thread Scott Kitterman
** No longer affects: python-pip (Ubuntu)

** No longer affects: python-pip (Ubuntu Xenial)

-- 
You received this bug notification because you are a member of Ubuntu
Bugs, which is subscribed to Ubuntu.
https://bugs.launchpad.net/bugs/1586381

Title:
  Pip states report "AttributeError: 'Requirement' object has no
  attribute 'project_name'" since python-pip (8.1.1-2ubuntu0.1)

To manage notifications about this bug go to:
https://bugs.launchpad.net/hundredpapercuts/+bug/1586381/+subscriptions

-- 
ubuntu-bugs mailing list
ubuntu-bugs@lists.ubuntu.com
https://lists.ubuntu.com/mailman/listinfo/ubuntu-bugs

[Bug 1869431] Re: TypeError: '>' not supported between instances of 'Version' and 'Version'

2020-05-05 Thread Scott Kitterman
This was due to an incompatibility between the way pip and setuptools
manage their vendored modules.  The problem was worked around by a
change in the Debian python-pip package (20.0.2-4) which was sync'ed
into Ubuntu.  It's not a virtualenv bug.

 python-pip | 20.0.2-5ubuntu1   | focal/universe   | source
 python-pip | 20.0.2-5ubuntu1   | groovy/universe  | source

** Changed in: python-virtualenv (Ubuntu)
   Status: New => Invalid

-- 
You received this bug notification because you are a member of Ubuntu
Bugs, which is subscribed to Ubuntu.
https://bugs.launchpad.net/bugs/1869431

Title:
  TypeError: '>' not supported between instances of 'Version' and
  'Version'

To manage notifications about this bug go to:
https://bugs.launchpad.net/ubuntu/+source/python-virtualenv/+bug/1869431/+subscriptions

-- 
ubuntu-bugs mailing list
ubuntu-bugs@lists.ubuntu.com
https://lists.ubuntu.com/mailman/listinfo/ubuntu-bugs

[Bug 1579181] Re: "pip3 list --outdated" raises TypeError

2020-05-05 Thread Scott Kitterman
The fix for this was included in 20.0.2-4 imported from Debian.

 python-pip | 20.0.2-5ubuntu1   | focal/universe   | source
 python-pip | 20.0.2-5ubuntu1   | groovy/universe  | source

** Changed in: python-pip (Ubuntu)
   Status: Confirmed => Fix Released

-- 
You received this bug notification because you are a member of Ubuntu
Bugs, which is subscribed to Ubuntu.
https://bugs.launchpad.net/bugs/1579181

Title:
  "pip3 list --outdated" raises TypeError

To manage notifications about this bug go to:
https://bugs.launchpad.net/pip/+bug/1579181/+subscriptions

-- 
ubuntu-bugs mailing list
ubuntu-bugs@lists.ubuntu.com
https://lists.ubuntu.com/mailman/listinfo/ubuntu-bugs

[Bug 1833229] Re: `--extra-index-url` not working for PIP

2020-05-05 Thread Scott Kitterman
The fix was included in pip 20.0.2 brought in from Debian:

 python-pip | 20.0.2-5ubuntu1   | focal/universe   | source
 python-pip | 20.0.2-5ubuntu1   | groovy/universe  | source

** Changed in: python-pip (Ubuntu)
   Status: Confirmed => Fix Released

-- 
You received this bug notification because you are a member of Ubuntu
Bugs, which is subscribed to Ubuntu.
https://bugs.launchpad.net/bugs/1833229

Title:
  `--extra-index-url` not working for PIP

To manage notifications about this bug go to:
https://bugs.launchpad.net/ubuntu/+source/python-pip/+bug/1833229/+subscriptions

-- 
ubuntu-bugs mailing list
ubuntu-bugs@lists.ubuntu.com
https://lists.ubuntu.com/mailman/listinfo/ubuntu-bugs

[Bug 1874923] Re: Postfix documentation may have an error

2020-04-24 Thread Scott Kitterman
This is not a postfix bug.

** Changed in: postfix (Ubuntu)
   Status: New => Invalid

-- 
You received this bug notification because you are a member of Ubuntu
Bugs, which is subscribed to Ubuntu.
https://bugs.launchpad.net/bugs/1874923

Title:
  Postfix documentation may have an error

To manage notifications about this bug go to:
https://bugs.launchpad.net/ubuntu/+source/postfix/+bug/1874923/+subscriptions

-- 
ubuntu-bugs mailing list
ubuntu-bugs@lists.ubuntu.com
https://lists.ubuntu.com/mailman/listinfo/ubuntu-bugs

[Bug 1872288] Re: Focal Fossa: postfix configure-instance script typos

2020-04-12 Thread Scott Kitterman
This is fixed in the Debian postfix git repository, but not uploaded
yet.  Please use this approach vice what's in the patch.

https://salsa.debian.org/postfix-team/postfix-
dev/-/commit/b8e0b846e34eeaaa2315ead2304824b21b01fe7a

-- 
You received this bug notification because you are a member of Ubuntu
Bugs, which is subscribed to Ubuntu.
https://bugs.launchpad.net/bugs/1872288

Title:
  Focal Fossa: postfix configure-instance script typos

To manage notifications about this bug go to:
https://bugs.launchpad.net/ubuntu/+source/postfix/+bug/1872288/+subscriptions

-- 
ubuntu-bugs mailing list
ubuntu-bugs@lists.ubuntu.com
https://lists.ubuntu.com/mailman/listinfo/ubuntu-bugs

Re: [Bug 1868955] Re: after upgrade to 20.04: posttls cannot connect to private/tlsmgr

2020-03-26 Thread Scott Kitterman
On Thursday, March 26, 2020 5:31:05 PM EDT you wrote:
> On 2020-03-26 3:54 p.m., Scott Kitterman wrote:
> > Does applying this change help:
> > 
> > https://salsa.debian.org/postfix-team/postfix-dev/-/commit/
> > b8e0b846e34eeaaa2315ead2304824b21b01fe7a
> 
> Does not help.
> 
> Sion

OK.  That's the only even tangentially relevant difference between Debian 10 
where it works and Ubuntu F where it doesn't.

I've got no further ideas.

Scott K

-- 
You received this bug notification because you are a member of Ubuntu
Bugs, which is subscribed to Ubuntu.
https://bugs.launchpad.net/bugs/1868955

Title:
  after upgrade to 20.04: posttls cannot connect to private/tlsmgr

To manage notifications about this bug go to:
https://bugs.launchpad.net/ubuntu/+source/postfix/+bug/1868955/+subscriptions

-- 
ubuntu-bugs mailing list
ubuntu-bugs@lists.ubuntu.com
https://lists.ubuntu.com/mailman/listinfo/ubuntu-bugs

Re: [Bug 1868955] Re: after upgrade to 20.04: posttls cannot connect to private/tlsmgr

2020-03-26 Thread Scott Kitterman
There are some differences between stable and  what was in unstable that Ubuntu 
synced.

Does applying this change help:

https://salsa.debian.org/postfix-team/postfix-dev/-/commit/
b8e0b846e34eeaaa2315ead2304824b21b01fe7a

Scott K

-- 
You received this bug notification because you are a member of Ubuntu
Bugs, which is subscribed to Ubuntu.
https://bugs.launchpad.net/bugs/1868955

Title:
  after upgrade to 20.04: posttls cannot connect to private/tlsmgr

To manage notifications about this bug go to:
https://bugs.launchpad.net/ubuntu/+source/postfix/+bug/1868955/+subscriptions

-- 
ubuntu-bugs mailing list
ubuntu-bugs@lists.ubuntu.com
https://lists.ubuntu.com/mailman/listinfo/ubuntu-bugs

Re: [Bug 1868955] Re: after upgrade to 20.04: posttls cannot connect to private/tlsmgr

2020-03-26 Thread Scott Kitterman
On Thursday, March 26, 2020 12:22:20 PM EDT you wrote:
> Comparing strace between Ubuntu and Debian (lxc launch images:debian/10)
> showed that Debian's version doesn't try to connect to the tlsmgr socket
> for some reason.
> 
> Ubuntu 3.4.10-1:
...
> Debian 3.4.8-0+10debu1:
...

If you use buster-proposed-updates you can get 3.4.10 for Debian 10.

Scott K

-- 
You received this bug notification because you are a member of Ubuntu
Bugs, which is subscribed to Ubuntu.
https://bugs.launchpad.net/bugs/1868955

Title:
  after upgrade to 20.04: posttls cannot connect to private/tlsmgr

To manage notifications about this bug go to:
https://bugs.launchpad.net/ubuntu/+source/postfix/+bug/1868955/+subscriptions

-- 
ubuntu-bugs mailing list
ubuntu-bugs@lists.ubuntu.com
https://lists.ubuntu.com/mailman/listinfo/ubuntu-bugs

Re: [Bug 1868955] Re: after upgrade to 20.04: posttls cannot connect to private/tlsmgr

2020-03-26 Thread Scott Kitterman
I don't recall seeing this issue in Debian, so I don't have any particular 
suggestions.  Since the postfix is identical, I'd be inclined to look 
elsewhere.

Scott K

-- 
You received this bug notification because you are a member of Ubuntu
Bugs, which is subscribed to Ubuntu.
https://bugs.launchpad.net/bugs/1868955

Title:
  after upgrade to 20.04: posttls cannot connect to private/tlsmgr

To manage notifications about this bug go to:
https://bugs.launchpad.net/ubuntu/+source/postfix/+bug/1868955/+subscriptions

-- 
ubuntu-bugs mailing list
ubuntu-bugs@lists.ubuntu.com
https://lists.ubuntu.com/mailman/listinfo/ubuntu-bugs

Re: [Bug 861645] Re: Apport retracer dupes bugs that aren't dupes

2020-03-06 Thread Scott Kitterman
On Friday, March 6, 2020 2:49:21 AM EST you wrote:
> I'm so sorry this issue went unanswered for 9 years.. The backlog we've
> accrued here is truly unfortunate. We'd really like to see the situation
> improve, but with nearly 1300 open bugs, manually testing each has
> become virtually impossible. The aim in pinging neglected bugs such as
> this was to allow those still effected to get their issue back on the
> radar.

Don't worry about it.  I was a very active Ubuntu developer at one point, so I 
totally understand.  I was just in a bad mood yesterday for other reasons.

On the off chance you manage to remember, if you notice any of these filed by 
me 
in the future, feel free to close them without the ping.  If you don't notice, 
that's fine too.

Scott K

-- 
You received this bug notification because you are a member of Ubuntu
Bugs, which is subscribed to Ubuntu.
https://bugs.launchpad.net/bugs/861645

Title:
  Apport retracer dupes bugs that aren't dupes

To manage notifications about this bug go to:
https://bugs.launchpad.net/ubuntu/+source/apport/+bug/861645/+subscriptions

-- 
ubuntu-bugs mailing list
ubuntu-bugs@lists.ubuntu.com
https://lists.ubuntu.com/mailman/listinfo/ubuntu-bugs

[Bug 861645] Re: Apport retracer dupes bugs that aren't dupes

2020-03-05 Thread Scott Kitterman
9 years later.  Lovely.  I don't even use Ubuntu anymore.

** Changed in: apport (Ubuntu)
   Status: Incomplete => Won't Fix

-- 
You received this bug notification because you are a member of Ubuntu
Bugs, which is subscribed to Ubuntu.
https://bugs.launchpad.net/bugs/861645

Title:
  Apport retracer dupes bugs that aren't dupes

To manage notifications about this bug go to:
https://bugs.launchpad.net/ubuntu/+source/apport/+bug/861645/+subscriptions

-- 
ubuntu-bugs mailing list
ubuntu-bugs@lists.ubuntu.com
https://lists.ubuntu.com/mailman/listinfo/ubuntu-bugs

Re: [Bug 1860315] Re: Default installation should be Local Only

2020-01-29 Thread Scott Kitterman
On Thursday, January 30, 2020 12:52:00 AM EST you wrote:
> Thanks Scott. Sincere questions: do you have any evidence users
> appreciate the current default? I'm  asking myself what is the use case
> in which a user wants postfix to be installed, listening on all
> interfaces and yet.. unconfigured?
> 
> And thanks Robie. Yeah, I honestly had no idea that the option would
> have caused mail loss the moment the package got installed. I normally
> don't worry too much about debconf options, because I know I can change
> them later, and trust the maintainer to set a default that won't hurt.
> This is one of those few cases where it isn't safe.

It's impossible to know, but I think the case for changing a long-term default 
needs to be stronger than "I wasn't paying attention when I installed the 
package and it caused problems".  That may sound harsh, but that's how it 
comes across to me.  No configuration is an option.  If I am understanding 
correctly, all you had to do was select it.

Scott K

-- 
You received this bug notification because you are a member of Ubuntu
Bugs, which is subscribed to Ubuntu.
https://bugs.launchpad.net/bugs/1860315

Title:
  Default installation should be Local Only

To manage notifications about this bug go to:
https://bugs.launchpad.net/ubuntu/+source/postfix/+bug/1860315/+subscriptions

-- 
ubuntu-bugs mailing list
ubuntu-bugs@lists.ubuntu.com
https://lists.ubuntu.com/mailman/listinfo/ubuntu-bugs

Re: [Bug 1860315] Re: Default installation should be Local Only

2020-01-27 Thread Scott Kitterman
On Monday, January 27, 2020 5:05:06 AM EST you wrote:
> Hi kiko,
> 
> > I have a highly customized set up, with vhosts, ldap, etc, and I
> 
> installed the package first to be able to configure it, and immediately
> after installed I started dropping email.
> 
> Clearly this was surprising to you. I would expect (knowing the
> behaviour) that in your situation "No configuration" would be
> appropriate choice, followed by manual or automatic configuration and
> service enablement.
> 
> Is the problem here perhaps instead that the "Internet Site" choice
> wasn't clear that it would enable SMTP on all interfaces after automatic
> configuration, rather than asking you further first?
> 
> I'm on the fence about changing the default FWIW, so I wonder if we can
> address this without changing it.

The current default for postfix has been there approximately forever.  I don't 
intend to change it in Debian, so if you take it up in Ubuntu, you'd have to 
maintain the diff.  While I understand the theory of the bug, I think that 
changing a long standing default would also be very surprising to many users 
and should generally be avoided.

Scott K

-- 
You received this bug notification because you are a member of Ubuntu
Bugs, which is subscribed to Ubuntu.
https://bugs.launchpad.net/bugs/1860315

Title:
  Default installation should be Local Only

To manage notifications about this bug go to:
https://bugs.launchpad.net/ubuntu/+source/postfix/+bug/1860315/+subscriptions

-- 
ubuntu-bugs mailing list
ubuntu-bugs@lists.ubuntu.com
https://lists.ubuntu.com/mailman/listinfo/ubuntu-bugs

Re: [Bug 1845334] Re: Update DEP8 test to python3

2019-11-01 Thread Scott Kitterman
On Friday, November 1, 2019 8:59:55 AM EDT you wrote:
> I have a pass with python3 for 3.4.7-1 in debian/sid. Let me clean that
> branch up now and make a MR in salsa.
> 
> ** Attachment added: "log"
>   
> https://bugs.launchpad.net/ubuntu/+source/postfix/+bug/1845334/+attachment/
> 5302040/+files/log

Thanks.  A patch in the BTS is fine too, whichever is easier for you.

Scott K

-- 
You received this bug notification because you are a member of Ubuntu
Bugs, which is subscribed to Ubuntu.
https://bugs.launchpad.net/bugs/1845334

Title:
  Update DEP8 test to python3

To manage notifications about this bug go to:
https://bugs.launchpad.net/ubuntu/+source/postfix/+bug/1845334/+subscriptions

-- 
ubuntu-bugs mailing list
ubuntu-bugs@lists.ubuntu.com
https://lists.ubuntu.com/mailman/listinfo/ubuntu-bugs

[Bug 1845334] Re: Update DEP8 test to python3

2019-10-29 Thread Scott Kitterman
Any word on this?  It'd be nice to get it done.

-- 
You received this bug notification because you are a member of Ubuntu
Bugs, which is subscribed to Ubuntu.
https://bugs.launchpad.net/bugs/1845334

Title:
  Update DEP8 test to python3

To manage notifications about this bug go to:
https://bugs.launchpad.net/ubuntu/+source/postfix/+bug/1845334/+subscriptions

-- 
ubuntu-bugs mailing list
ubuntu-bugs@lists.ubuntu.com
https://lists.ubuntu.com/mailman/listinfo/ubuntu-bugs

[Bug 1728723] Re: postfix check warns about symlink being group writable

2019-09-11 Thread Scott Kitterman
** Changed in: postfix (Ubuntu Xenial)
   Importance: Undecided => Low

-- 
You received this bug notification because you are a member of Ubuntu
Bugs, which is subscribed to Ubuntu.
https://bugs.launchpad.net/bugs/1728723

Title:
  postfix check warns about symlink being group writable

To manage notifications about this bug go to:
https://bugs.launchpad.net/ubuntu/+source/postfix/+bug/1728723/+subscriptions

-- 
ubuntu-bugs mailing list
ubuntu-bugs@lists.ubuntu.com
https://lists.ubuntu.com/mailman/listinfo/ubuntu-bugs

[Bug 1834511] Re: policyd-spf crashes on UnicodeEncodeError

2019-06-27 Thread Scott Kitterman
That's correct.  It was fixed in 2.0.0, but I'm not sure the fix would
directly apply to 1.3.2.  I've targeted the bug appropriately for 16.04.
Perhaps someone involved in Ubuntu development will take a look.

** Also affects: pypolicyd-spf (Ubuntu Xenial)
   Importance: Undecided
   Status: New

** Changed in: pypolicyd-spf (Ubuntu Xenial)
   Status: New => Triaged

** Changed in: pypolicyd-spf (Ubuntu)
   Status: New => Fix Released

** Changed in: pypolicyd-spf (Ubuntu)
   Importance: Undecided => High

-- 
You received this bug notification because you are a member of Ubuntu
Bugs, which is subscribed to Ubuntu.
https://bugs.launchpad.net/bugs/1834511

Title:
  policyd-spf crashes on UnicodeEncodeError

To manage notifications about this bug go to:
https://bugs.launchpad.net/ubuntu/+source/pypolicyd-spf/+bug/1834511/+subscriptions

-- 
ubuntu-bugs mailing list
ubuntu-bugs@lists.ubuntu.com
https://lists.ubuntu.com/mailman/listinfo/ubuntu-bugs

[Bug 1826908] Re: postfix 3.1.0: postinst contains broken tests

2019-04-29 Thread Scott Kitterman
That's got it properly triaged.  I only work on postfix in Debian, so I
can't say if this will be fixed or not in Ubuntu.

** Also affects: postfix (Ubuntu Xenial)
   Importance: Undecided
   Status: New

** Changed in: postfix (Ubuntu Xenial)
   Status: New => Triaged

** Changed in: postfix (Ubuntu Xenial)
   Importance: Undecided => High

** Changed in: postfix (Ubuntu)
   Status: New => Fix Released

** Changed in: postfix (Ubuntu)
   Importance: Undecided => High

** Bug watch added: Debian Bug tracker #842948
   https://bugs.debian.org/cgi-bin/bugreport.cgi?bug=842948

** Also affects: postfix (Debian) via
   https://bugs.debian.org/cgi-bin/bugreport.cgi?bug=842948
   Importance: Unknown
   Status: Unknown

-- 
You received this bug notification because you are a member of Ubuntu
Bugs, which is subscribed to Ubuntu.
https://bugs.launchpad.net/bugs/1826908

Title:
  postfix 3.1.0: postinst contains broken tests

To manage notifications about this bug go to:
https://bugs.launchpad.net/ubuntu/+source/postfix/+bug/1826908/+subscriptions

-- 
ubuntu-bugs mailing list
ubuntu-bugs@lists.ubuntu.com
https://lists.ubuntu.com/mailman/listinfo/ubuntu-bugs

Re: [Bug 1826534] [NEW] Pix workaround should be (partially?) disabled when DANE is in use

2019-04-26 Thread Scott Kitterman
This is something that you should address with upstream (postfix-users mailing 
list is the best venue).

Scott K

-- 
You received this bug notification because you are a member of Ubuntu
Bugs, which is subscribed to Ubuntu.
https://bugs.launchpad.net/bugs/1826534

Title:
  Pix workaround should be (partially?) disabled when DANE is in use

To manage notifications about this bug go to:
https://bugs.launchpad.net/ubuntu/+source/postfix/+bug/1826534/+subscriptions

-- 
ubuntu-bugs mailing list
ubuntu-bugs@lists.ubuntu.com
https://lists.ubuntu.com/mailman/listinfo/ubuntu-bugs

[Bug 1791853] Re: Postfix upgrade queries about replacing /etc/postfix/makedefs.out, when it really should always do so

2019-03-07 Thread Scott Kitterman
No idea why the remote bug status isn't updating, but this is fixed in
Debian.

-- 
You received this bug notification because you are a member of Ubuntu
Bugs, which is subscribed to Ubuntu.
https://bugs.launchpad.net/bugs/1791853

Title:
  Postfix upgrade queries about replacing /etc/postfix/makedefs.out,
  when it really should always do so

To manage notifications about this bug go to:
https://bugs.launchpad.net/ubuntu/+source/postfix/+bug/1791853/+subscriptions

-- 
ubuntu-bugs mailing list
ubuntu-bugs@lists.ubuntu.com
https://lists.ubuntu.com/mailman/listinfo/ubuntu-bugs

[Bug 1817363] Re: postfix-policyd-spf-python always appends as recepient address

2019-02-23 Thread Scott Kitterman
This is not a bug, but an intentional design change to, by default,
better protect user privacy.  See man 5 policyd-spf.conf for details.
To restore the previous behaviour, add this to the policy server's
configuration:

Hide_Receiver = No

** Changed in: pypolicyd-spf (Ubuntu)
   Status: New => Invalid

-- 
You received this bug notification because you are a member of Ubuntu
Bugs, which is subscribed to Ubuntu.
https://bugs.launchpad.net/bugs/1817363

Title:
  postfix-policyd-spf-python always appends  as recepient
  address

To manage notifications about this bug go to:
https://bugs.launchpad.net/ubuntu/+source/pypolicyd-spf/+bug/1817363/+subscriptions

-- 
ubuntu-bugs mailing list
ubuntu-bugs@lists.ubuntu.com
https://lists.ubuntu.com/mailman/listinfo/ubuntu-bugs

Re: [Bug 1812571] [NEW] postfix-dbgsym package has empty .debug files; debian/rules dh_strip confusion

2019-01-20 Thread Scott Kitterman
This is fixed in 3.3.2-1, which is in disco.

Scott K

-- 
You received this bug notification because you are a member of Ubuntu
Bugs, which is subscribed to Ubuntu.
https://bugs.launchpad.net/bugs/1812571

Title:
  postfix-dbgsym package has empty .debug files; debian/rules dh_strip
  confusion

To manage notifications about this bug go to:
https://bugs.launchpad.net/ubuntu/+source/postfix/+bug/1812571/+subscriptions

-- 
ubuntu-bugs mailing list
ubuntu-bugs@lists.ubuntu.com
https://lists.ubuntu.com/mailman/listinfo/ubuntu-bugs

[Bug 1153064] Re: Quassel IRC client has a 2 pixel window start position creep

2019-01-05 Thread Scott Kitterman
It turns out this was a Qt bug.

** Changed in: quassel (Ubuntu)
   Status: Confirmed => Invalid

-- 
You received this bug notification because you are a member of Ubuntu
Bugs, which is subscribed to Ubuntu.
https://bugs.launchpad.net/bugs/1153064

Title:
  Quassel IRC client has a 2 pixel window start position creep

To manage notifications about this bug go to:
https://bugs.launchpad.net/ubuntu/+source/quassel/+bug/1153064/+subscriptions

-- 
ubuntu-bugs mailing list
ubuntu-bugs@lists.ubuntu.com
https://lists.ubuntu.com/mailman/listinfo/ubuntu-bugs

[Bug 833751] Re: error in English string

2019-01-05 Thread Scott Kitterman
** Changed in: quassel (Ubuntu)
   Status: Fix Committed => Fix Released

-- 
You received this bug notification because you are a member of Ubuntu
Bugs, which is subscribed to Ubuntu.
https://bugs.launchpad.net/bugs/833751

Title:
  error in English string

To manage notifications about this bug go to:
https://bugs.launchpad.net/ubuntu/+source/quassel/+bug/833751/+subscriptions

-- 
ubuntu-bugs mailing list
ubuntu-bugs@lists.ubuntu.com
https://lists.ubuntu.com/mailman/listinfo/ubuntu-bugs

[Bug 1787584] Re: segfault on messages without RFC5322.From header

2018-12-22 Thread Scott Kitterman
** Also affects: opendmarc (Ubuntu Trusty)
   Importance: Undecided
   Status: New

** Changed in: opendmarc (Ubuntu Trusty)
   Status: New => Confirmed

** Changed in: opendmarc (Ubuntu)
   Status: New => Fix Released

-- 
You received this bug notification because you are a member of Ubuntu
Bugs, which is subscribed to Ubuntu.
https://bugs.launchpad.net/bugs/1787584

Title:
  segfault on messages without RFC5322.From header

To manage notifications about this bug go to:
https://bugs.launchpad.net/ubuntu/+source/opendmarc/+bug/1787584/+subscriptions

-- 
ubuntu-bugs mailing list
ubuntu-bugs@lists.ubuntu.com
https://lists.ubuntu.com/mailman/listinfo/ubuntu-bugs

[Bug 1553928] Re: postfix-pgsql SSL connection to postgres

2018-12-13 Thread Scott Kitterman
This is fixed in 3.3.

** Changed in: postfix (Ubuntu)
   Status: Triaged => Fix Released

-- 
You received this bug notification because you are a member of Ubuntu
Bugs, which is subscribed to Ubuntu.
https://bugs.launchpad.net/bugs/1553928

Title:
  postfix-pgsql SSL connection to postgres

To manage notifications about this bug go to:
https://bugs.launchpad.net/ubuntu/+source/postfix/+bug/1553928/+subscriptions

-- 
ubuntu-bugs mailing list
ubuntu-bugs@lists.ubuntu.com
https://lists.ubuntu.com/mailman/listinfo/ubuntu-bugs

[Bug 1753470] Re: Postconf segfaults every 5 minutes

2018-11-05 Thread Scott Kitterman
FYI, this is fixed in 3.3.1 upstream, so when that lands, this diff can
be dropped.

-- 
You received this bug notification because you are a member of Ubuntu
Bugs, which is subscribed to Ubuntu.
https://bugs.launchpad.net/bugs/1753470

Title:
  Postconf segfaults every 5 minutes

To manage notifications about this bug go to:
https://bugs.launchpad.net/ubuntu/+source/postfix/+bug/1753470/+subscriptions

-- 
ubuntu-bugs mailing list
ubuntu-bugs@lists.ubuntu.com
https://lists.ubuntu.com/mailman/listinfo/ubuntu-bugs

[Bug 1777085] Re: package clamtk 5.25-1 failed to install/upgrade: poging tot overschrijven van '/usr/share/Thunar/sendto/thunar-sendto-clamtk.desktop', wat ook in pakket thunar-sendto-clamtk 0.06-1 z

2018-10-31 Thread Scott Kitterman
Fixed for the next upload in Debian that will, in due course, make its
way to Ubuntu.

** Changed in: clamtk (Ubuntu)
   Importance: Undecided => High

** Changed in: clamtk (Ubuntu)
   Status: New => Fix Committed

** Changed in: clamtk (Ubuntu)
 Assignee: (unassigned) => Scott Kitterman (kitterman)

-- 
You received this bug notification because you are a member of Ubuntu
Bugs, which is subscribed to Ubuntu.
https://bugs.launchpad.net/bugs/1777085

Title:
  package clamtk 5.25-1 failed to install/upgrade: poging tot
  overschrijven van '/usr/share/Thunar/sendto/thunar-sendto-
  clamtk.desktop', wat ook in pakket thunar-sendto-clamtk 0.06-1 zit

To manage notifications about this bug go to:
https://bugs.launchpad.net/ubuntu/+source/clamtk/+bug/1777085/+subscriptions

-- 
ubuntu-bugs mailing list
ubuntu-bugs@lists.ubuntu.com
https://lists.ubuntu.com/mailman/listinfo/ubuntu-bugs

Re: [Bug 1791853] Re: Postfix upgrade queries about replacing /etc/postfix/makedefs.out, when it really should always do so

2018-09-17 Thread Scott Kitterman
On Monday, September 17, 2018 06:10:30 AM you wrote:
> This isn't sometihng we'd want to take a Delta in Ubuntu for IMHO, so
> I'm waiting if my Debian submission will be accepted.

I expect I'll apply the change, but am severely lacking in time right
now.

It would help if you could submit a merge request on salsa.d.o [1].

Thanks,

Scott K

[1] https://salsa.debian.org/postfix-team/postfix-dev

-- 
You received this bug notification because you are a member of Ubuntu
Bugs, which is subscribed to Ubuntu.
https://bugs.launchpad.net/bugs/1791853

Title:
  Postfix upgrade queries about replacing /etc/postfix/makedefs.out,
  when it really should always do so

To manage notifications about this bug go to:
https://bugs.launchpad.net/ubuntu/+source/postfix/+bug/1791853/+subscriptions

-- 
ubuntu-bugs mailing list
ubuntu-bugs@lists.ubuntu.com
https://lists.ubuntu.com/mailman/listinfo/ubuntu-bugs

Re: [Bug 1782416] Re: Python3 Compat Problem: "Cannot use a bytes pattern on a string-like object"

2018-07-19 Thread Scott Kitterman
I'm open to changes for type hinting.

Scott K

-- 
You received this bug notification because you are a member of Ubuntu
Bugs, which is subscribed to Ubuntu.
https://bugs.launchpad.net/bugs/1782416

Title:
  Python3 Compat Problem: "Cannot use a bytes pattern on a string-like
  object"

To manage notifications about this bug go to:
https://bugs.launchpad.net/dkimpy/+bug/1782416/+subscriptions

-- 
ubuntu-bugs mailing list
ubuntu-bugs@lists.ubuntu.com
https://lists.ubuntu.com/mailman/listinfo/ubuntu-bugs

[Bug 1782416] Re: Python3 Compat Problem: "Cannot use a bytes pattern on a string-like object"

2018-07-18 Thread Scott Kitterman
This is true pretty much throughout dkimpy when used with python3.  It's
not particularly feasible to change it.  I'm open to suggestions on
improved documentation.

-- 
You received this bug notification because you are a member of Ubuntu
Bugs, which is subscribed to Ubuntu.
https://bugs.launchpad.net/bugs/1782416

Title:
  Python3 Compat Problem: "Cannot use a bytes pattern on a string-like
  object"

To manage notifications about this bug go to:
https://bugs.launchpad.net/dkimpy/+bug/1782416/+subscriptions

-- 
ubuntu-bugs mailing list
ubuntu-bugs@lists.ubuntu.com
https://lists.ubuntu.com/mailman/listinfo/ubuntu-bugs

[Bug 1782416] Re: Python3 Compat Problem: "Cannot use a bytes pattern on a string-like object"

2018-07-18 Thread Scott Kitterman
If you feed it bytes, it works fine:

>>> print(message)
b'Authentication-Results: lists.example.org; arc=none; spf=pass 
smtp.mfrom=jqd@d1.example; dkim=pass (1024-bit key) header.i=@d1.example; 
dmarc=pass\nReceived: from localhost\nMessage-ID: \nDate: 
Mon, 01 Jan 2011 01:02:03 +0400\nFrom: Test User \nTo: 
someb...@example.com\nSubject: Testing\n\nThis is a test message.\n'
>>> sig = dkim.dkim_sign(message, b"test", b"example.com", key)

** Changed in: dkimpy
   Status: New => Invalid

** Changed in: dkimpy (Ubuntu)
   Status: New => Invalid

-- 
You received this bug notification because you are a member of Ubuntu
Bugs, which is subscribed to Ubuntu.
https://bugs.launchpad.net/bugs/1782416

Title:
  Python3 Compat Problem: "Cannot use a bytes pattern on a string-like
  object"

To manage notifications about this bug go to:
https://bugs.launchpad.net/dkimpy/+bug/1782416/+subscriptions

-- 
ubuntu-bugs mailing list
ubuntu-bugs@lists.ubuntu.com
https://lists.ubuntu.com/mailman/listinfo/ubuntu-bugs

[Bug 1773200] Re: package postfix (not installed) failed to install/upgrade: new postfix package pre-installation script subprocess returned error exit status 1

2018-05-25 Thread Scott Kitterman
It looks more like a debconf issue to me:

Preparing to unpack .../1-postfix_3.3.0-1_amd64.deb ...
Gtk-Message: 20:19:38.211: GtkDialog mapped without a 
transient parent. This is discouraged.
Use of uninitialized value $ret in scalar chomp at 
/usr/share/perl5/Debconf/Client/ConfModule.pm line 132,  line 5.
Use of uninitialized value $ret in split at 
/usr/share/perl5/Debconf/Client/ConfModule.pm line 133,  line 5.
Use of uninitialized value $ret[0] in string eq at 
/usr/share/perl5/Debconf/Client/ConfModule.pm line 134,  line 5.
Use of uninitialized value $ret in scalar chomp at 
/usr/share/perl5/Debconf/Client/ConfModule.pm line 132,  line 5.
Use of uninitialized value $ret in split at 
/usr/share/perl5/Debconf/Client/ConfModule.pm line 133,  line 5.
Use of uninitialized value $ret[0] in string eq at 
/usr/share/perl5/Debconf/Client/ConfModule.pm line 134,  line 5.
Use of uninitialized value in numeric eq (==) at /var/lib/dpkg/tmp.ci/config 
line 55,  line 5.
Use of uninitialized value $ret in scalar chomp at 
/usr/share/perl5/Debconf/Client/ConfModule.pm line 132,  line 5.
Use of uninitialized value $ret in split at 
/usr/share/perl5/Debconf/Client/ConfModule.pm line 133,  line 5.
Use of uninitialized value $ret[0] in string eq at 
/usr/share/perl5/Debconf/Client/ConfModule.pm line 134,  line 5.
Use of uninitialized value $mailertype in string eq at 
/var/lib/dpkg/tmp.ci/config line 57,  line 5.
Use of uninitialized value $ret in scalar chomp at 
/usr/share/perl5/Debconf/Client/ConfModule.pm line 132,  line 5.
Use of uninitialized value $ret in split at 
/usr/share/perl5/Debconf/Client/ConfModule.pm line 133,  line 5.
Use of uninitialized value $ret[0] in string eq at 
/usr/share/perl5/Debconf/Client/ConfModule.pm line 134,  line 5.
Use of uninitialized value $ret in scalar chomp at 
/usr/share/perl5/Debconf/Client/ConfModule.pm line 132,  line 5.
Use of uninitialized value $ret in split at 
/usr/share/perl5/Debconf/Client/ConfModule.pm line 133,  line 5.
Use of uninitialized value $ret[0] in string eq at 
/usr/share/perl5/Debconf/Client/ConfModule.pm line 134,  line 5.
Use of uninitialized value $ret in scalar chomp at 
/usr/share/perl5/Debconf/Client/ConfModule.pm line 132,  line 5.
Use of uninitialized value $ret in split at 
/usr/share/perl5/Debconf/Client/ConfModule.pm line 133,  line 5.
Use of uninitialized value $ret[0] in string eq at 
/usr/share/perl5/Debconf/Client/ConfModule.pm line 134,  line 5.
Use of uninitialized value $mailertype in string eq at 
/var/lib/dpkg/tmp.ci/config line 67,  line 5.
Use of uninitialized value $mailertype in string eq at 
/var/lib/dpkg/tmp.ci/config line 67,  line 5.
Use of uninitialized value $mailertype in string eq at 
/var/lib/dpkg/tmp.ci/config line 67,  line 5.
Use of uninitialized value $ret in scalar chomp at 
/usr/share/perl5/Debconf/Client/ConfModule.pm line 132,  line 5.
Use of uninitialized value $ret in split at 
/usr/share/perl5/Debconf/Client/ConfModule.pm line 133,  line 5.
Use of uninitialized value $ret[0] in string eq at 
/usr/share/perl5/Debconf/Client/ConfModule.pm line 134,  line 5.
Use of uninitialized value $ret in scalar chomp at 
/usr/share/perl5/Debconf/Client/ConfModule.pm line 132,  line 5.
Use of uninitialized value $ret in split at 
/usr/share/perl5/Debconf/Client/ConfModule.pm line 133,  line 5.
Use of uninitialized value $ret[0] in string eq at 
/usr/share/perl5/Debconf/Client/ConfModule.pm line 134,  line 5.
dpkg: error processing archive 
/tmp/apt-dpkg-install-0R1mHg/1-postfix_3.3.0-1_amd64.deb (--unpack):
 new postfix package pre-installation script subprocess returned error exit 
status 1

** Package changed: postfix (Ubuntu) => debconf (Ubuntu)

** Changed in: debconf (Ubuntu)
   Status: Invalid => New

-- 
You received this bug notification because you are a member of Ubuntu
Bugs, which is subscribed to Ubuntu.
https://bugs.launchpad.net/bugs/1773200

Title:
  package postfix (not installed) failed to install/upgrade: new postfix
  package pre-installation script subprocess returned error exit status
  1

To manage notifications about this bug go to:
https://bugs.launchpad.net/ubuntu/+source/debconf/+bug/1773200/+subscriptions

-- 
ubuntu-bugs mailing list
ubuntu-bugs@lists.ubuntu.com
https://lists.ubuntu.com/mailman/listinfo/ubuntu-bugs

[Bug 1753470] Re: Postconf segfaults every 5 minutes

2018-05-13 Thread Scott Kitterman
** Package changed: update (Ubuntu) => postfix (Ubuntu)

-- 
You received this bug notification because you are a member of Ubuntu
Bugs, which is subscribed to Ubuntu.
https://bugs.launchpad.net/bugs/1753470

Title:
  Postconf segfaults every 5 minutes

To manage notifications about this bug go to:
https://bugs.launchpad.net/ubuntu/+source/postfix/+bug/1753470/+subscriptions

-- 
ubuntu-bugs mailing list
ubuntu-bugs@lists.ubuntu.com
https://lists.ubuntu.com/mailman/listinfo/ubuntu-bugs

Re: [Bug 1753470] Re: Postconf segfaults every 5 minutes

2018-05-07 Thread Scott Kitterman
On Monday, May 07, 2018 08:56:52 PM you wrote:
> Thanks Scott, I did email postfix-users with subject "NULL pointer deref
> in pcf_check_dbms_client() with unreadable map file", but I'm not
> subscribed. Checking the archive at https://marc.info/?l=postfix-> 
> users=1=201805=2 doesn't show my message, so I guess I should
> subscribe. Or perhaps it's just held up for moderation?

I think you need to be subscribed.

Scott K

-- 
You received this bug notification because you are a member of Ubuntu
Bugs, which is subscribed to Ubuntu.
https://bugs.launchpad.net/bugs/1753470

Title:
  Postconf segfaults every 5 minutes

To manage notifications about this bug go to:
https://bugs.launchpad.net/ubuntu/+source/postfix/+bug/1753470/+subscriptions

-- 
ubuntu-bugs mailing list
ubuntu-bugs@lists.ubuntu.com
https://lists.ubuntu.com/mailman/listinfo/ubuntu-bugs

Re: [Bug 1753470] Re: Postconf segfaults every 5 minutes

2018-05-07 Thread Scott Kitterman
On Monday, May 07, 2018 03:43:26 PM you wrote:
> I think the only contact to the developers is their postfix-devel 
> mailing list here:
> 
> http://www.postfix.org/lists.html

postfix-devel is generally for developers of postfix.  Users should use 
postfix-users (even for code issues like this).  The postfix developers are 
active on postfix-users.

Scott K

-- 
You received this bug notification because you are a member of Ubuntu
Bugs, which is subscribed to Ubuntu.
https://bugs.launchpad.net/bugs/1753470

Title:
  Postconf segfaults every 5 minutes

To manage notifications about this bug go to:
https://bugs.launchpad.net/ubuntu/+source/postfix/+bug/1753470/+subscriptions

-- 
ubuntu-bugs mailing list
ubuntu-bugs@lists.ubuntu.com
https://lists.ubuntu.com/mailman/listinfo/ubuntu-bugs

Re: [Bug 1753470] Re: Postconf segfaults every 5 minutes

2018-05-07 Thread Scott Kitterman
On Monday, May 07, 2018 04:47:07 PM you wrote:
> And this is new in 3.3.0. I was also looking for some git/svn/bzr/cvs
> repository to check the history of these changes, but couldn't find it.

This is maintained by one of the primary postfix developers:

https://github.com/vdukhovni/postfix

It's the best you'll find publicly.

Scott K

-- 
You received this bug notification because you are a member of Ubuntu
Bugs, which is subscribed to Ubuntu.
https://bugs.launchpad.net/bugs/1753470

Title:
  Postconf segfaults every 5 minutes

To manage notifications about this bug go to:
https://bugs.launchpad.net/ubuntu/+source/postfix/+bug/1753470/+subscriptions

-- 
ubuntu-bugs mailing list
ubuntu-bugs@lists.ubuntu.com
https://lists.ubuntu.com/mailman/listinfo/ubuntu-bugs

Re: [Bug 1753470] Re: Postconf segfaults every 5 minutes

2018-05-07 Thread Scott Kitterman
On Monday, May 07, 2018 03:14:56 PM you wrote:
> vstream_fopen() did return 0 and errno was set to EACCES, I don't know
> why that check is excluding the permission problem. I emailed upstream
> (couldn't find a bugtracker for it).

There is no postfix bugtracker upstream.  Did you mail the postfix-users 
mailing list?  I don't recall seeing this.  That's the normal venue for 
reporting issues.

Scott K

-- 
You received this bug notification because you are a member of Ubuntu
Bugs, which is subscribed to Ubuntu.
https://bugs.launchpad.net/bugs/1753470

Title:
  Postconf segfaults every 5 minutes

To manage notifications about this bug go to:
https://bugs.launchpad.net/ubuntu/+source/postfix/+bug/1753470/+subscriptions

-- 
ubuntu-bugs mailing list
ubuntu-bugs@lists.ubuntu.com
https://lists.ubuntu.com/mailman/listinfo/ubuntu-bugs

[Bug 1769393] Re: package postfix-doc 3.3.0-1 failed to install/upgrade: installed postfix-doc package pre-removal script subprocess returned error exit status 1

2018-05-06 Thread Scott Kitterman
This only happens if you've manually deleted /etc/postfix/main.cf but
left the postfix package installed.  This is not a supported
configuration.

** Changed in: postfix (Ubuntu)
   Status: New => Invalid

-- 
You received this bug notification because you are a member of Ubuntu
Bugs, which is subscribed to Ubuntu.
https://bugs.launchpad.net/bugs/1769393

Title:
  package postfix-doc 3.3.0-1 failed to install/upgrade: installed
  postfix-doc package pre-removal script subprocess returned error exit
  status 1

To manage notifications about this bug go to:
https://bugs.launchpad.net/ubuntu/+source/postfix/+bug/1769393/+subscriptions

-- 
ubuntu-bugs mailing list
ubuntu-bugs@lists.ubuntu.com
https://lists.ubuntu.com/mailman/listinfo/ubuntu-bugs

Re: [Bug 1767539] Re: Security fixes from 0.12.5 require backfit to earlier releases

2018-05-02 Thread Scott Kitterman
On Wednesday, May 02, 2018 07:27:36 AM you wrote:
> Thanks Scott. I've gone ahead and built this package in the
> https://launchpad.net/~ubuntu-security-proposed/+archive/ubuntu/ppa/ ;
> given the large amount of code around the introduced deserializer, I'd
> like to see a successful test report before publishing to trusty-
> security.

I'm running a patched version now.  The same patch has been released by 
Debian.

Scott K

-- 
You received this bug notification because you are a member of Ubuntu
Bugs, which is subscribed to Ubuntu.
https://bugs.launchpad.net/bugs/1767539

Title:
  Security fixes from 0.12.5 require backfit to earlier releases

To manage notifications about this bug go to:
https://bugs.launchpad.net/ubuntu/+source/quassel/+bug/1767539/+subscriptions

-- 
ubuntu-bugs mailing list
ubuntu-bugs@lists.ubuntu.com
https://lists.ubuntu.com/mailman/listinfo/ubuntu-bugs

[Bug 1767539] Re: Security fixes from 0.12.5 require backfit to earlier releases

2018-04-27 Thread Scott Kitterman
** Bug watch added: Debian Bug tracker #896914
   https://bugs.debian.org/cgi-bin/bugreport.cgi?bug=896914

** Also affects: quassel (Debian) via
   https://bugs.debian.org/cgi-bin/bugreport.cgi?bug=896914
   Importance: Unknown
   Status: Unknown

-- 
You received this bug notification because you are a member of Ubuntu
Bugs, which is subscribed to Ubuntu.
https://bugs.launchpad.net/bugs/1767539

Title:
  Security fixes from 0.12.5 require backfit to earlier releases

To manage notifications about this bug go to:
https://bugs.launchpad.net/ubuntu/+source/quassel/+bug/1767539/+subscriptions

-- 
ubuntu-bugs mailing list
ubuntu-bugs@lists.ubuntu.com
https://lists.ubuntu.com/mailman/listinfo/ubuntu-bugs

[Bug 1767539] [NEW] Security fixes from 0.12.5 require backfit to earlier releases

2018-04-27 Thread Scott Kitterman
*** This bug is a security vulnerability ***

Public security bug reported:

A recent upstream release contains two security fixes.  All supported
Ubuntu releases are affected.

  * SECURITY UPDATE: quasselcore, corruption of heap metadata caused by
qdatastream
- debian/patches/Implement_custom_deserializer.patch: Original patch from
  upstream 0.12.5 release, adapted for non-C++ 11 systems by Felix Geyer
- CVE requested by upstream
  * SECURITY UPDATE: quasselcore, denial of service for unconfigure core
- debian/patches/Reject_clients_that_attempt_to_login_before_the_core_is
  _configured.patch: Original patch from upstream 0.12.5 release, adapted
  for non-C++ 11 systems by Felix Geyer
- CVE requested by upstream

I'll be attaching a debdiff for Trusty, but not later releases as that
is the only Ubuntu release I still have an interest in.  Note that the
debian/changelog doesn't have the LP bug number in it since I haven't
filed it yet.  The trusty fix is based on the Debian patches for Jessie
(Debian 8):

https://salsa.debian.org/qt-kde-team/kde-extras/quassel/tree/jessie

I'm running the fixed version now.

** Affects: quassel (Ubuntu)
 Importance: Undecided
 Status: New

** Affects: quassel (Ubuntu Trusty)
 Importance: Undecided
 Status: Confirmed

** Affects: quassel (Ubuntu Xenial)
 Importance: Undecided
 Status: New

** Affects: quassel (Ubuntu Artful)
 Importance: Undecided
 Status: New

** Affects: quassel (Ubuntu Bionic)
 Importance: Undecided
 Status: New

** Affects: quassel (Debian)
 Importance: Unknown
 Status: Unknown


** Tags: patch

** Patch added: "Trusty fix"
   
https://bugs.launchpad.net/bugs/1767539/+attachment/5129007/+files/quassel.security.debdiff

** Also affects: quassel (Ubuntu Bionic)
   Importance: Undecided
   Status: Confirmed

** Also affects: quassel (Ubuntu Trusty)
   Importance: Undecided
   Status: New

** Also affects: quassel (Ubuntu Artful)
   Importance: Undecided
   Status: New

** Also affects: quassel (Ubuntu Xenial)
   Importance: Undecided
   Status: New

** Changed in: quassel (Ubuntu Trusty)
   Status: New => Confirmed

** Changed in: quassel (Ubuntu Bionic)
   Status: Confirmed => New

-- 
You received this bug notification because you are a member of Ubuntu
Bugs, which is subscribed to Ubuntu.
https://bugs.launchpad.net/bugs/1767539

Title:
  Security fixes from 0.12.5 require backfit to earlier releases

To manage notifications about this bug go to:
https://bugs.launchpad.net/ubuntu/+source/quassel/+bug/1767539/+subscriptions

-- 
ubuntu-bugs mailing list
ubuntu-bugs@lists.ubuntu.com
https://lists.ubuntu.com/mailman/listinfo/ubuntu-bugs

[Bug 657350] Re: Crash in ubi-console-setup.py during install

2018-04-02 Thread Scott Kitterman
I'm not using Kubuntu anymore anyway.

** Changed in: ubiquity (Ubuntu)
   Status: Incomplete => Won't Fix

-- 
You received this bug notification because you are a member of Ubuntu
Bugs, which is subscribed to Ubuntu.
https://bugs.launchpad.net/bugs/657350

Title:
  Crash in ubi-console-setup.py during install

To manage notifications about this bug go to:
https://bugs.launchpad.net/ubuntu/+source/ubiquity/+bug/657350/+subscriptions

-- 
ubuntu-bugs mailing list
ubuntu-bugs@lists.ubuntu.com
https://lists.ubuntu.com/mailman/listinfo/ubuntu-bugs

[Bug 628894] Re: Manual partition problem alert when there isn't an actual problem

2018-04-02 Thread Scott Kitterman
Not using Kubuntu anymore anyway.

** Changed in: ubiquity (Ubuntu)
   Status: Incomplete => Won't Fix

-- 
You received this bug notification because you are a member of Kubuntu
Bugs, which is subscribed to ubiquity in Ubuntu.
https://bugs.launchpad.net/bugs/628894

Title:
  Manual partition problem alert when there isn't an actual problem

To manage notifications about this bug go to:
https://bugs.launchpad.net/ubuntu/+source/ubiquity/+bug/628894/+subscriptions

-- 
kubuntu-bugs mailing list
kubuntu-b...@lists.ubuntu.com
https://lists.ubuntu.com/mailman/listinfo/kubuntu-bugs


[Bug 1694843] Re: opendmarc ignores configuration

2018-03-11 Thread Scott Kitterman
This was fixed in 1.3.2-3.

** Changed in: opendmarc (Ubuntu)
   Status: Confirmed => Fix Released

-- 
You received this bug notification because you are a member of Ubuntu
Bugs, which is subscribed to Ubuntu.
https://bugs.launchpad.net/bugs/1694843

Title:
  opendmarc ignores configuration

To manage notifications about this bug go to:
https://bugs.launchpad.net/ubuntu/+source/opendmarc/+bug/1694843/+subscriptions

-- 
ubuntu-bugs mailing list
ubuntu-bugs@lists.ubuntu.com
https://lists.ubuntu.com/mailman/listinfo/ubuntu-bugs

[Bug 1748726] Re: postfix incorrectly depends on e2fsprogs

2018-02-11 Thread Scott Kitterman
** Changed in: postfix (Ubuntu)
   Status: New => Won't Fix

-- 
You received this bug notification because you are a member of Ubuntu
Bugs, which is subscribed to Ubuntu.
https://bugs.launchpad.net/bugs/1748726

Title:
  postfix incorrectly depends on e2fsprogs

To manage notifications about this bug go to:
https://bugs.launchpad.net/ubuntu/+source/postfix/+bug/1748726/+subscriptions

-- 
ubuntu-bugs mailing list
ubuntu-bugs@lists.ubuntu.com
https://lists.ubuntu.com/mailman/listinfo/ubuntu-bugs

[Bug 1238559] Re: Exception causes next transaction to abort

2018-02-09 Thread Scott Kitterman
Did you ever get this figured out?

** Changed in: psycopg2 (Ubuntu)
   Status: New => Incomplete

-- 
You received this bug notification because you are a member of Ubuntu
Bugs, which is subscribed to Ubuntu.
https://bugs.launchpad.net/bugs/1238559

Title:
  Exception causes next transaction to abort

To manage notifications about this bug go to:
https://bugs.launchpad.net/ubuntu/+source/psycopg2/+bug/1238559/+subscriptions

-- 
ubuntu-bugs mailing list
ubuntu-bugs@lists.ubuntu.com
https://lists.ubuntu.com/mailman/listinfo/ubuntu-bugs

[Bug 650777] Re: operator does not exist: text = bytea

2018-02-09 Thread Scott Kitterman
Presumably this is resolved by now.  Please set back to new if not.

** Changed in: psycopg2 (Ubuntu)
   Status: New => Incomplete

-- 
You received this bug notification because you are a member of Ubuntu
Bugs, which is subscribed to Ubuntu.
https://bugs.launchpad.net/bugs/650777

Title:
  operator does not exist: text = bytea

To manage notifications about this bug go to:
https://bugs.launchpad.net/ubuntu/+source/psycopg2/+bug/650777/+subscriptions

-- 
ubuntu-bugs mailing list
ubuntu-bugs@lists.ubuntu.com
https://lists.ubuntu.com/mailman/listinfo/ubuntu-bugs

[Bug 1304138] Re: Backport 2.5 bugfixes

2018-02-09 Thread Scott Kitterman
** Changed in: psycopg2 (Ubuntu)
   Status: Confirmed => Fix Released

-- 
You received this bug notification because you are a member of Ubuntu
Bugs, which is subscribed to Ubuntu.
https://bugs.launchpad.net/bugs/1304138

Title:
  Backport 2.5 bugfixes

To manage notifications about this bug go to:
https://bugs.launchpad.net/ubuntu/+source/psycopg2/+bug/1304138/+subscriptions

-- 
ubuntu-bugs mailing list
ubuntu-bugs@lists.ubuntu.com
https://lists.ubuntu.com/mailman/listinfo/ubuntu-bugs

[Bug 1218727] Re: package clamav-base 0.97.8+dfsg-1ubuntu1.12.04.1 failed to install/upgrade: subprocess installed post-installation script returned error exit status 1

2018-01-27 Thread Scott Kitterman
Fix in Debian packaging git repository for the next upload to Debian.
Once that's uploaded, Ubuntu can update from that to get the fix.

** Changed in: clamav (Ubuntu)
   Status: Confirmed => Fix Committed

-- 
You received this bug notification because you are a member of Ubuntu
Bugs, which is subscribed to Ubuntu.
https://bugs.launchpad.net/bugs/1218727

Title:
  package clamav-base 0.97.8+dfsg-1ubuntu1.12.04.1 failed to
  install/upgrade: subprocess installed post-installation script
  returned error exit status 1

To manage notifications about this bug go to:
https://bugs.launchpad.net/ubuntu/+source/clamav/+bug/1218727/+subscriptions

-- 
ubuntu-bugs mailing list
ubuntu-bugs@lists.ubuntu.com
https://lists.ubuntu.com/mailman/listinfo/ubuntu-bugs

[Bug 1684037] Re: Wrong systemd dependencies prevent postfix from starting

2017-11-10 Thread Scott Kitterman
I agree it's not a duplicate.

I've seen this in Debian as well and haven't solved it their either.

** This bug is no longer a duplicate of bug 1531299
   postfix upgrade can fail due to "newaliases: fatal: 
inet_addr_local[getifaddrs]: getifaddrs: Address family not supported by 
protocol" under qemu-static

** Changed in: postfix (Ubuntu)
   Status: New => Triaged

** Changed in: postfix (Ubuntu)
   Importance: Undecided => High

-- 
You received this bug notification because you are a member of Ubuntu
Bugs, which is subscribed to Ubuntu.
https://bugs.launchpad.net/bugs/1684037

Title:
  Wrong systemd dependencies prevent postfix from starting

To manage notifications about this bug go to:
https://bugs.launchpad.net/ubuntu/+source/postfix/+bug/1684037/+subscriptions

-- 
ubuntu-bugs mailing list
ubuntu-bugs@lists.ubuntu.com
https://lists.ubuntu.com/mailman/listinfo/ubuntu-bugs

Re: [Bug 1709504] [NEW] Postfix Files that shouldn't be writable.

2017-08-08 Thread Scott Kitterman
It was fixed in Debian later, but it's harmless.  Because these are symlinks 
(which the script doesn't follow), the permissions it detects aren't the 
actual permissions.  The 'fix' is not to emit the warnings for this.  You can 
ignore them.

-- 
You received this bug notification because you are a member of Ubuntu
Bugs, which is subscribed to Ubuntu.
https://bugs.launchpad.net/bugs/1709504

Title:
  Postfix Files that shouldn't be writable.

To manage notifications about this bug go to:
https://bugs.launchpad.net/ubuntu/+source/postfix/+bug/1709504/+subscriptions

-- 
ubuntu-bugs mailing list
ubuntu-bugs@lists.ubuntu.com
https://lists.ubuntu.com/mailman/listinfo/ubuntu-bugs


[Bug 885852] Re: package python-psycopg2 2.2.1-1ubuntu2 failed to install/upgrade: le sous-processus nouveau script pre-removal a retourné une erreur de sortie d'état 1

2017-08-07 Thread Scott Kitterman
Bug in obsolete python helper:

File "/usr/share/pycentral-data/pyversions.py", line 172, in
default_version

** Changed in: psycopg2 (Ubuntu)
   Status: New => Won't Fix

-- 
You received this bug notification because you are a member of Ubuntu
Bugs, which is subscribed to Ubuntu.
https://bugs.launchpad.net/bugs/885852

Title:
  package python-psycopg2 2.2.1-1ubuntu2 failed to install/upgrade: le
  sous-processus nouveau script pre-removal a retourné une erreur de
  sortie d'état 1

To manage notifications about this bug go to:
https://bugs.launchpad.net/ubuntu/+source/psycopg2/+bug/885852/+subscriptions

-- 
ubuntu-bugs mailing list
ubuntu-bugs@lists.ubuntu.com
https://lists.ubuntu.com/mailman/listinfo/ubuntu-bugs

[Bug 848566] Re: package python-psycopg2 2.2.1-1ubuntu2 failed to install/upgrade: subprocess installed post-installation script returned error exit status 1

2017-08-07 Thread Scott Kitterman
Bug in obsolete python helper (pycentral).

** Changed in: psycopg2 (Ubuntu)
   Status: New => Won't Fix

-- 
You received this bug notification because you are a member of Ubuntu
Bugs, which is subscribed to Ubuntu.
https://bugs.launchpad.net/bugs/848566

Title:
  package python-psycopg2 2.2.1-1ubuntu2 failed to install/upgrade:
  subprocess installed post-installation script returned error exit
  status 1

To manage notifications about this bug go to:
https://bugs.launchpad.net/ubuntu/+source/psycopg2/+bug/848566/+subscriptions

-- 
ubuntu-bugs mailing list
ubuntu-bugs@lists.ubuntu.com
https://lists.ubuntu.com/mailman/listinfo/ubuntu-bugs


[Bug 1650064] Re: package python-psycopg2 2.6.1-1build2 failed to install/upgrade: subprocess installed post-installation script returned error exit status 1

2017-08-07 Thread Scott Kitterman
** Package changed: psycopg2 (Ubuntu) => egenix-mx-base (Ubuntu)

-- 
You received this bug notification because you are a member of Ubuntu
Bugs, which is subscribed to Ubuntu.
https://bugs.launchpad.net/bugs/1650064

Title:
  package python-psycopg2 2.6.1-1build2 failed to install/upgrade:
  subprocess installed post-installation script returned error exit
  status 1

To manage notifications about this bug go to:
https://bugs.launchpad.net/ubuntu/+source/egenix-mx-base/+bug/1650064/+subscriptions

-- 
ubuntu-bugs mailing list
ubuntu-bugs@lists.ubuntu.com
https://lists.ubuntu.com/mailman/listinfo/ubuntu-bugs


[Bug 1700964] Re: package python-psycopg2 2.6.1-1build2 failed to install/upgrade: sub-processo script pre-removal instalado retornou estado de saída de erro 1

2017-08-07 Thread Scott Kitterman
** Package changed: psycopg2 (Ubuntu) => python-defaults (Ubuntu)

-- 
You received this bug notification because you are a member of Ubuntu
Bugs, which is subscribed to Ubuntu.
https://bugs.launchpad.net/bugs/1700964

Title:
  package python-psycopg2 2.6.1-1build2 failed to install/upgrade: sub-
  processo script pre-removal instalado retornou estado de saída de erro
  1

To manage notifications about this bug go to:
https://bugs.launchpad.net/ubuntu/+source/python-defaults/+bug/1700964/+subscriptions

-- 
ubuntu-bugs mailing list
ubuntu-bugs@lists.ubuntu.com
https://lists.ubuntu.com/mailman/listinfo/ubuntu-bugs

[Bug 1706480] Re: package postfix 3.1.0-3 failed to install/upgrade: subprocess installed post-installation script returned error exit status 75

2017-07-25 Thread Scott Kitterman
>From the terminal log:

newaliases: fatal: file /etc/postfix/main.cf: parameter mail_owner: user
postfix has same user ID as pulse

This is a local configuration issue and not a package bug.

** Changed in: postfix (Ubuntu)
   Status: New => Invalid

-- 
You received this bug notification because you are a member of Ubuntu
Bugs, which is subscribed to Ubuntu.
https://bugs.launchpad.net/bugs/1706480

Title:
  package postfix 3.1.0-3 failed to install/upgrade: subprocess
  installed post-installation script returned error exit status 75

To manage notifications about this bug go to:
https://bugs.launchpad.net/ubuntu/+source/postfix/+bug/1706480/+subscriptions

-- 
ubuntu-bugs mailing list
ubuntu-bugs@lists.ubuntu.com
https://lists.ubuntu.com/mailman/listinfo/ubuntu-bugs


[Bug 1695758] Re: package python-prompt-toolkit 1.0.9-1 failed to install/upgrade: subprocess installed post-installation script returned error exit status 1

2017-06-17 Thread Scott Kitterman
Traceback (most recent call last):
  File "/usr/bin/pycompile", line 35, in 
from debpython.version import SUPPORTED, debsorted, vrepr, \
  File "/usr/share/python/debpython/version.py", line 24, in 
from ConfigParser import SafeConfigParser
ImportError: No module named 'ConfigParser'

** Package changed: prompt-toolkit (Ubuntu) => python3-defaults (Ubuntu)

-- 
You received this bug notification because you are a member of Ubuntu
Bugs, which is subscribed to Ubuntu.
https://bugs.launchpad.net/bugs/1695758

Title:
  package python-prompt-toolkit 1.0.9-1 failed to install/upgrade:
  subprocess installed post-installation script returned error exit
  status 1

To manage notifications about this bug go to:
https://bugs.launchpad.net/ubuntu/+source/python3-defaults/+bug/1695758/+subscriptions

-- 
ubuntu-bugs mailing list
ubuntu-bugs@lists.ubuntu.com
https://lists.ubuntu.com/mailman/listinfo/ubuntu-bugs


[Bug 1591706] Re: postfix is vulnerable to "Secure Client-Initiated Renegotiation" DoS according to testssl

2017-06-09 Thread Scott Kitterman
Based on the report against the test tool, unless this issue is
validated with the current version of the tool released in May 2017,
it's a false positive.  It's not clear there's any kind of bug at all.

** Changed in: postfix (Ubuntu)
   Importance: Critical => Undecided

** Changed in: postfix (Ubuntu)
   Status: Confirmed => Incomplete

-- 
You received this bug notification because you are a member of Ubuntu
Bugs, which is subscribed to Ubuntu.
https://bugs.launchpad.net/bugs/1591706

Title:
  postfix is vulnerable to "Secure Client-Initiated Renegotiation" DoS
  according to testssl

To manage notifications about this bug go to:
https://bugs.launchpad.net/ubuntu/+source/postfix/+bug/1591706/+subscriptions

-- 
ubuntu-bugs mailing list
ubuntu-bugs@lists.ubuntu.com
https://lists.ubuntu.com/mailman/listinfo/ubuntu-bugs


Re: [Bug 1519331] Re: Postfix cannot resolve DNS if network was unavailable when it was started, such as on a laptop

2017-05-15 Thread Scott Kitterman
On Monday, May 15, 2017 08:49:42 PM you wrote:
> On Mon, May 15, 2017 at 06:45:21PM -0000, Scott Kitterman wrote:
> > I'm getting close to uploading a fix for this to Debian, so you might wait
> > for that.
> 
> It looks like you've implemented this using the network-online.target
> approach, which as you mentioned might not DTRT for the localhost-only use
> case.  Did you decide that this is negligible?

That was the advice I got from the Debian systemd maintainers (that the impact 
would be negligible).

> For the case of a server which always has a network connection, this works
> fine.  For the case of a standalone system with no configured network
> connection, it probably also works fine.  But for the case of e.g. a laptop
> that sometimes has network and sometimes doesn't, if the system comes up
> without network, postfix will not start and you will not have local
> delivery.  Is this the behavior you expect with your change?

I tested this and if you're using NetworkManager at least there's some magic 
that happens which causes systemd to restart postfix once the network is 
available.  Part of the reason I was having so much trouble replicating 
problems others were seeing was getting NM to quit 'helping' as the test 
system I was using also has a desktop installed.

> Ultimately I want to SRU this into affected stable Ubuntu releases, so would
> want a regression-free change.
> 
> I see you are also setting After=nss-lookup.target.  For the bug reported
> here - which is about DNS resolution specifically - would it not suffice to
> have postfix declare this After=nss-lookup.target, and for systemd-resolved
> to be sequenced before it?

According to the Debian systemd people, the systemd-resolved is superfluous.  
It's nss-lookup.target that I wanted all along.

There's a very helpful (at least for me) discussion in the last few entries in 
the Debian bug.  Reviewing that would be better advice than I have for what's 
safe/not as I cribbed from Michael Biebl's suggestions after just enough 
research to be able to convince myself I wasn't cargo culting.

Scott K

-- 
You received this bug notification because you are a member of Ubuntu
Bugs, which is subscribed to Ubuntu.
https://bugs.launchpad.net/bugs/1519331

Title:
  Postfix cannot resolve DNS if network was unavailable when it was
  started, such as on a laptop

To manage notifications about this bug go to:
https://bugs.launchpad.net/ubuntu/+source/postfix/+bug/1519331/+subscriptions

-- 
ubuntu-bugs mailing list
ubuntu-bugs@lists.ubuntu.com
https://lists.ubuntu.com/mailman/listinfo/ubuntu-bugs


Re: [Bug 1519331] Re: Postfix cannot resolve DNS if network was unavailable when it was started, such as on a laptop

2017-05-15 Thread Scott Kitterman
I'm getting close to uploading a fix for this to Debian, so you might wait for 
that.

-- 
You received this bug notification because you are a member of Ubuntu
Bugs, which is subscribed to Ubuntu.
https://bugs.launchpad.net/bugs/1519331

Title:
  Postfix cannot resolve DNS if network was unavailable when it was
  started, such as on a laptop

To manage notifications about this bug go to:
https://bugs.launchpad.net/ubuntu/+source/postfix/+bug/1519331/+subscriptions

-- 
ubuntu-bugs mailing list
ubuntu-bugs@lists.ubuntu.com
https://lists.ubuntu.com/mailman/listinfo/ubuntu-bugs


[Bug 1318324] Re: Python-Bleach in trusty is broken

2017-03-23 Thread Scott Kitterman
Still an issue in Trusty, but fixed in the current release.

** Also affects: python-bleach (Ubuntu Trusty)
   Importance: Undecided
   Status: New

** Changed in: python-bleach (Ubuntu Trusty)
   Status: New => Confirmed

** Changed in: python-bleach (Ubuntu)
   Status: Confirmed => Fix Released

-- 
You received this bug notification because you are a member of Ubuntu
Bugs, which is subscribed to Ubuntu.
https://bugs.launchpad.net/bugs/1318324

Title:
  Python-Bleach in trusty is broken

To manage notifications about this bug go to:
https://bugs.launchpad.net/ubuntu/+source/python-bleach/+bug/1318324/+subscriptions

-- 
ubuntu-bugs mailing list
ubuntu-bugs@lists.ubuntu.com
https://lists.ubuntu.com/mailman/listinfo/ubuntu-bugs


[Bug 1657445] Re: opendmarc.service inadequate, /etc/default/opendmarc not installed

2017-03-14 Thread Scott Kitterman
I've just uploaded an update to Debian that updates README.Debian (which
I neglected to do when adding the service file) that explains how to
handle things in lieu of using /etc/defaults, which is apparently not a
very systemd thing to do.

** Changed in: opendmarc (Ubuntu)
   Status: New => Fix Released

-- 
You received this bug notification because you are a member of Ubuntu
Bugs, which is subscribed to Ubuntu.
https://bugs.launchpad.net/bugs/1657445

Title:
  opendmarc.service inadequate, /etc/default/opendmarc not installed

To manage notifications about this bug go to:
https://bugs.launchpad.net/ubuntu/+source/opendmarc/+bug/1657445/+subscriptions

-- 
ubuntu-bugs mailing list
ubuntu-bugs@lists.ubuntu.com
https://lists.ubuntu.com/mailman/listinfo/ubuntu-bugs


[Bug 1661831] Re: package postfix 3.1.0-3 failed to install/upgrade: package is in a very bad inconsistent state; you should reinstall it before attempting a removal

2017-02-04 Thread Scott Kitterman
Unfortunately there isn't enough information here to make the bug
actionable.  We need to know how it got in an inconsistent state.
Please check /var/log/apt/term.log (or possibly older term.log.* files)
for postfix installation or upgrade errors and add that information to
the bug.

** Changed in: postfix (Ubuntu)
   Status: New => Incomplete

-- 
You received this bug notification because you are a member of Ubuntu
Bugs, which is subscribed to Ubuntu.
https://bugs.launchpad.net/bugs/1661831

Title:
  package postfix 3.1.0-3 failed to install/upgrade: package is in a
  very bad inconsistent state; you should  reinstall it before
  attempting a removal

To manage notifications about this bug go to:
https://bugs.launchpad.net/ubuntu/+source/postfix/+bug/1661831/+subscriptions

-- 
ubuntu-bugs mailing list
ubuntu-bugs@lists.ubuntu.com
https://lists.ubuntu.com/mailman/listinfo/ubuntu-bugs


Re: [Bug 1519331] Re: Postfix cannot resolve DNS if network was unavailable when it was started, such as on a laptop

2017-01-30 Thread Scott Kitterman
On Monday, January 30, 2017 09:33:36 PM you wrote:
> Which package was updated to fix this problem in Zesty? I could try to
> upgrade it only (I'm not ready to upgrade the whole distro).

postfix

-- 
You received this bug notification because you are a member of Ubuntu
Bugs, which is subscribed to Ubuntu.
https://bugs.launchpad.net/bugs/1519331

Title:
  Postfix cannot resolve DNS if network was unavailable when it was
  started, such as on a laptop

To manage notifications about this bug go to:
https://bugs.launchpad.net/ubuntu/+source/postfix/+bug/1519331/+subscriptions

-- 
ubuntu-bugs mailing list
ubuntu-bugs@lists.ubuntu.com
https://lists.ubuntu.com/mailman/listinfo/ubuntu-bugs


[Bug 1519331] Re: Postfix cannot resolve DNS if network was unavailable when it was started, such as on a laptop

2017-01-20 Thread Scott Kitterman
It would be nice if someone who is having this problem could test
3.1.4-2 or later on Zesty to see if the problem is fixed (I think it
is).

-- 
You received this bug notification because you are a member of Ubuntu
Bugs, which is subscribed to Ubuntu.
https://bugs.launchpad.net/bugs/1519331

Title:
  Postfix cannot resolve DNS if network was unavailable when it was
  started, such as on a laptop

To manage notifications about this bug go to:
https://bugs.launchpad.net/ubuntu/+source/postfix/+bug/1519331/+subscriptions

-- 
ubuntu-bugs mailing list
ubuntu-bugs@lists.ubuntu.com
https://lists.ubuntu.com/mailman/listinfo/ubuntu-bugs


Re: [Bug 1656931] Re: Security update for pdns-recursor on trusty

2017-01-17 Thread Scott Kitterman
Debian LTS uploaded essentially the same patch (we coordinated and reviewed 
what each other had done).  I'm not sure what to tell you about testing other 
than that we have the change in production on a high volume system and haven't 
seen any issues.

I'm no longer involved in Ubuntu development, but when I have clients that use 
Ubuntu that I do work for, I do like to feed it back to the distro.  I don't 
know that I can help you further.  It would be a shame for other Ubuntu users 
to be left with the CVEs unfixed.

Scott K

On Tuesday, January 17, 2017 11:51:23 PM you wrote:
> ACK
> 
> I updated the revision number and added dep headers to the patches that
> were lacking them.
> 
> It is now building in security-proposed. I've done some light testing
> and it seems to work for me, but the security team does not have
> standard regression tests for this package, so I would like to ask for
> some additional testing.
> 
> ** Changed in: pdns-recursor (Ubuntu Trusty)
>Status: Confirmed => In Progress
> 
> ** Tags added: security-verification

-- 
You received this bug notification because you are a member of Ubuntu
Bugs, which is subscribed to Ubuntu.
https://bugs.launchpad.net/bugs/1656931

Title:
  Security update for pdns-recursor on trusty

To manage notifications about this bug go to:
https://bugs.launchpad.net/ubuntu/+source/pdns-recursor/+bug/1656931/+subscriptions

-- 
ubuntu-bugs mailing list
ubuntu-bugs@lists.ubuntu.com
https://lists.ubuntu.com/mailman/listinfo/ubuntu-bugs


[Bug 1656931] Re: Security update for pdns-recursor on trusty

2017-01-16 Thread Scott Kitterman
debian/changelog will need the revision number adjusted to whatever you
prefer and the bug number added.

** Also affects: pdns-recursor (Ubuntu Trusty)
   Importance: Undecided
   Status: New

** Changed in: pdns-recursor (Ubuntu)
   Status: New => Invalid

** Changed in: pdns-recursor (Ubuntu Trusty)
   Importance: Undecided => High

-- 
You received this bug notification because you are a member of Ubuntu
Bugs, which is subscribed to Ubuntu.
https://bugs.launchpad.net/bugs/1656931

Title:
  Security update for pdns-recursor on trusty

To manage notifications about this bug go to:
https://bugs.launchpad.net/ubuntu/+source/pdns-recursor/+bug/1656931/+subscriptions

-- 
ubuntu-bugs mailing list
ubuntu-bugs@lists.ubuntu.com
https://lists.ubuntu.com/mailman/listinfo/ubuntu-bugs


[Bug 1656931] [NEW] Security update for pdns-recursor on trusty

2017-01-16 Thread Scott Kitterman
*** This bug is a security vulnerability ***

Public security bug reported:

Note: We have this package running in production without any apparent
issues.

  * SECURITY UPDATE:
  * References
  * CVE-2014-8601: PowerDNS Recursor before 3.6.2 does not limit delegation
chaining, which allows remote attackers to cause a denial of service
("performance degradations") via a large or infinite number of referrals,
as demonstrated by resolving domains hosted by ezdns.it.
- Added debian/patches/CVE-2014-8601.patch
  * CVE-2015-1868: The label decompression functionality in PowerDNS Recursor
3.5.x, 3.6.x before 3.6.3, and 3.7.x before 3.7.2 and Authoritative (Auth)
Server 3.2.x, 3.3.x before 3.3.2, and 3.4.x before 3.4.4 allows remote
attackers to cause a denial of service (CPU consumption or crash) via a
request with a name that refers to itself.
- Added debian/patches/CVE-2015-1868.patch
  * CVE-2015-5470: The label decompression functionality in PowerDNS Recursor
before 3.6.4 and 3.7.x before 3.7.3 and Authoritative (Auth) Server before
3.3.3 and 3.4.x before 3.4.5 allows remote attackers to cause a denial of
service (CPU consumption or crash) via a request with a long name that
refers to itself. NOTE: this vulnerability exists because of an incomplete
fix for CVE-2015-1868.
- Added debian/patches/CVE-2015-1868-2.patch
  * CVE-2016-7068: Florian Heinz and Martin Kluge reported that pdns-recursor
parses all records present in a query regardless of whether they are
needed or even legitimate, allowing a remote, unauthenticated attacker to
cause an abnormal CPU usage load on the pdns server, resulting in a
partial denial of service if the system becomes overloaded.
- Added debian/patches/CVE-2016-7068.patch
  * Add debian/patches/qtypes.patch so qtypes required for CVE-2016-7068.patch
are available

I have not evaluated any other Ubuntu releases (and don't intend to).

** Affects: pdns-recursor (Ubuntu)
 Importance: Undecided
 Status: Invalid

** Affects: pdns-recursor (Ubuntu Trusty)
 Importance: High
 Status: New

** Patch added: "Debdiff for trusty"
   
https://bugs.launchpad.net/bugs/1656931/+attachment/4805135/+files/pdns-recursor.trusty.debdiff

** CVE added: http://www.cve.mitre.org/cgi-
bin/cvename.cgi?name=2014-8601

** CVE added: http://www.cve.mitre.org/cgi-
bin/cvename.cgi?name=2015-5470

** CVE added: http://www.cve.mitre.org/cgi-
bin/cvename.cgi?name=2016-7068

-- 
You received this bug notification because you are a member of Ubuntu
Bugs, which is subscribed to Ubuntu.
https://bugs.launchpad.net/bugs/1656931

Title:
  Security update for pdns-recursor on trusty

To manage notifications about this bug go to:
https://bugs.launchpad.net/ubuntu/+source/pdns-recursor/+bug/1656931/+subscriptions

-- 
ubuntu-bugs mailing list
ubuntu-bugs@lists.ubuntu.com
https://lists.ubuntu.com/mailman/listinfo/ubuntu-bugs


[Bug 1548594] Re: Convert test suite to python 3.0

2017-01-12 Thread Scott Kitterman
It would have been trivial to look at test-postfix.py and see it still
starts with "#!/usr/bin/python".  No it's not fixed.  Please don't
randomly change bug status.

** Changed in: postfix (Ubuntu)
   Importance: Undecided => Wishlist

** Changed in: postfix (Ubuntu)
   Status: Incomplete => Confirmed

-- 
You received this bug notification because you are a member of Ubuntu
Bugs, which is subscribed to Ubuntu.
https://bugs.launchpad.net/bugs/1548594

Title:
  Convert test suite to python 3.0

To manage notifications about this bug go to:
https://bugs.launchpad.net/ubuntu/+source/postfix/+bug/1548594/+subscriptions

-- 
ubuntu-bugs mailing list
ubuntu-bugs@lists.ubuntu.com
https://lists.ubuntu.com/mailman/listinfo/ubuntu-bugs


[Bug 1649453] Re: systemd starts postfix before resolver

2017-01-07 Thread Scott Kitterman
Now that the upload I had pending is done, I did look into this a bit
further.

By adding the After=network-online.target override, when I look at the
output of systemd-analyze critical-chain with and without an equivalent
Wants= postfix is starting after network-online.target.

I didn't look explicitly at the different with/without for systemd-
resolved (since it's not active on my test system), but I don't see what
difference it makes.

I'm inclined to leave it as is pending some explanation of what
practical difference adding the Wants= would have.

-- 
You received this bug notification because you are a member of Ubuntu
Bugs, which is subscribed to Ubuntu.
https://bugs.launchpad.net/bugs/1649453

Title:
  systemd starts postfix before resolver

To manage notifications about this bug go to:
https://bugs.launchpad.net/ubuntu/+source/postfix/+bug/1649453/+subscriptions

-- 
ubuntu-bugs mailing list
ubuntu-bugs@lists.ubuntu.com
https://lists.ubuntu.com/mailman/listinfo/ubuntu-bugs


[Bug 1595096] Re: cannot create multi postfix instance by postmulti command

2017-01-07 Thread Scott Kitterman
I've verified this works on the latest Debian upload and documented the
Debian (and Ubuntu) differences here:

https://git.launchpad.net/postfix/tree/debian/README.Debian?h=stable/v3.1=3d459e01fb9bc7dde304d4c505850e7552cc9491

(that's shipped in the package once you get the right version)

** Changed in: postfix (Ubuntu)
   Status: Fix Committed => Fix Released

-- 
You received this bug notification because you are a member of Ubuntu
Bugs, which is subscribed to Ubuntu.
https://bugs.launchpad.net/bugs/1595096

Title:
  cannot create multi postfix instance by postmulti command

To manage notifications about this bug go to:
https://bugs.launchpad.net/ubuntu/+source/postfix/+bug/1595096/+subscriptions

-- 
ubuntu-bugs mailing list
ubuntu-bugs@lists.ubuntu.com
https://lists.ubuntu.com/mailman/listinfo/ubuntu-bugs


Re: [Bug 1654453] Re: LMTP delivery to Dovecot stops working in 3.1.4-1

2017-01-06 Thread Scott Kitterman
On Friday, January 06, 2017 05:30:12 PM you wrote:
> No, there is no trailing whitespace on any of the lines related to lmtp
> in either of my configuration files.

The regex is improved in 3.1.4-2, so please check again once you've upgraded 
to that version.

Scott K

-- 
You received this bug notification because you are a member of Ubuntu
Bugs, which is subscribed to Ubuntu.
https://bugs.launchpad.net/bugs/1654453

Title:
  LMTP delivery to Dovecot stops working in 3.1.4-1

To manage notifications about this bug go to:
https://bugs.launchpad.net/ubuntu/+source/postfix/+bug/1654453/+subscriptions

-- 
ubuntu-bugs mailing list
ubuntu-bugs@lists.ubuntu.com
https://lists.ubuntu.com/mailman/listinfo/ubuntu-bugs


[Bug 1654453] Re: LMTP delivery to Dovecot stops working in 3.1.4-1

2017-01-05 Thread Scott Kitterman
** Changed in: postfix (Ubuntu)
   Status: New => Incomplete

-- 
You received this bug notification because you are a member of Ubuntu
Bugs, which is subscribed to Ubuntu.
https://bugs.launchpad.net/bugs/1654453

Title:
  LMTP delivery to Dovecot stops working in 3.1.4-1

To manage notifications about this bug go to:
https://bugs.launchpad.net/ubuntu/+source/postfix/+bug/1654453/+subscriptions

-- 
ubuntu-bugs mailing list
ubuntu-bugs@lists.ubuntu.com
https://lists.ubuntu.com/mailman/listinfo/ubuntu-bugs


Re: [Bug 1654453] [NEW] LMTP delivery to Dovecot stops working in 3.1.4-1

2017-01-05 Thread Scott Kitterman
On Friday, January 06, 2017 01:04:21 AM you wrote:

What does the line for dovecot-lmtp in master.cf look like?

Scott K

-- 
You received this bug notification because you are a member of Ubuntu
Bugs, which is subscribed to Ubuntu.
https://bugs.launchpad.net/bugs/1654453

Title:
  LMTP delivery to Dovecot stops working in 3.1.4-1

To manage notifications about this bug go to:
https://bugs.launchpad.net/ubuntu/+source/postfix/+bug/1654453/+subscriptions

-- 
ubuntu-bugs mailing list
ubuntu-bugs@lists.ubuntu.com
https://lists.ubuntu.com/mailman/listinfo/ubuntu-bugs


  1   2   3   4   5   6   7   8   9   10   >